#####  Created by:
#####  Tactical Display Icon Editor



import App
import GlobalPropertyTemplates

# Local Templates
#################################################
Hull = App.HullProperty_Create("Hull")

Hull.SetMaxCondition(6000.000000)
Hull.SetCritical(1)
Hull.SetTargetable(1)
Hull.SetPrimary(1)
Hull.SetPosition(0.000000, 0.400000, 0.000000)
Hull.SetPosition2D(61.000000, 55.000000)
Hull.SetRepairComplexity(3.000000)
Hull.SetDisabledPercentage(0.750000)
Hull.SetRadius(0.780000)
App.g_kModelPropertyManager.RegisterLocalTemplate(Hull)
#################################################
ShieldGenerator = App.ShieldProperty_Create("Shield Generator")

ShieldGenerator.SetMaxCondition(9000.000000)
ShieldGenerator.SetCritical(0)
ShieldGenerator.SetTargetable(1)
ShieldGenerator.SetPrimary(1)
ShieldGenerator.SetPosition(0.000000, 0.400000, 0.000000)
ShieldGenerator.SetPosition2D(126.000000, 16.000000)
ShieldGenerator.SetRepairComplexity(2.000000)
ShieldGenerator.SetDisabledPercentage(0.750000)
ShieldGenerator.SetRadius(0.100000)
ShieldGenerator.SetNormalPowerPerSecond(300.000000)
ShieldGeneratorShieldGlowColor = App.TGColorA()
ShieldGeneratorShieldGlowColor.SetRGBA(0.203922, 0.631373, 1.000000, 0.466667)
ShieldGenerator.SetShieldGlowColor(ShieldGeneratorShieldGlowColor)
ShieldGenerator.SetShieldGlowDecay(1.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.FRONT_SHIELDS, 3000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.REAR_SHIELDS, 3000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.TOP_SHIELDS, 3000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.BOTTOM_SHIELDS, 3000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.LEFT_SHIELDS, 3000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.RIGHT_SHIELDS, 3000.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.FRONT_SHIELDS, 6.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.REAR_SHIELDS, 6.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.TOP_SHIELDS, 6.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.BOTTOM_SHIELDS, 6.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.LEFT_SHIELDS, 6.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.RIGHT_SHIELDS, 6.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShieldGenerator)
#################################################
SensorArray = App.SensorProperty_Create("Sensor Array")

SensorArray.SetMaxCondition(6000.000000)
SensorArray.SetCritical(0)
SensorArray.SetTargetable(1)
SensorArray.SetPrimary(1)
SensorArray.SetPosition(0.441663, 0.264563, 0.182549)
SensorArray.SetPosition2D(125.000000, -3.000000)
SensorArray.SetRepairComplexity(1.000000)
SensorArray.SetDisabledPercentage(0.500000)
SensorArray.SetRadius(0.003000)
SensorArray.SetNormalPowerPerSecond(150.000000)
SensorArray.SetBaseSensorRange(2500.000000)
SensorArray.SetMaxProbes(8)
App.g_kModelPropertyManager.RegisterLocalTemplate(SensorArray)
#################################################
WarpCore = App.PowerProperty_Create("Warp Core")

WarpCore.SetMaxCondition(5000.000000)
WarpCore.SetCritical(1)
WarpCore.SetTargetable(1)
WarpCore.SetPrimary(1)
WarpCore.SetPosition(-0.002683, -0.632702, 0.082072)
WarpCore.SetPosition2D(125.000000, 37.000000)
WarpCore.SetRepairComplexity(2.000000)
WarpCore.SetDisabledPercentage(0.750000)
WarpCore.SetRadius(0.010000)
WarpCore.SetMainBatteryLimit(150000.000000)
WarpCore.SetBackupBatteryLimit(50000.000000)
WarpCore.SetMainConduitCapacity(900.000000)
WarpCore.SetBackupConduitCapacity(100.000000)
WarpCore.SetPowerOutput(800.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpCore)
#################################################
ImpulseEngines = App.ImpulseEngineProperty_Create("Impulse Engines")

ImpulseEngines.SetMaxCondition(4000.000000)
ImpulseEngines.SetCritical(0)
ImpulseEngines.SetTargetable(0)
ImpulseEngines.SetPrimary(1)
ImpulseEngines.SetPosition(-0.007286, -0.744716, 0.225233)
ImpulseEngines.SetPosition2D(120.000000, 120.000000)
ImpulseEngines.SetRepairComplexity(3.000000)
ImpulseEngines.SetDisabledPercentage(0.500000)
ImpulseEngines.SetRadius(0.010000)
ImpulseEngines.SetNormalPowerPerSecond(50.000000)
ImpulseEngines.SetMaxAccel(3.000000)
ImpulseEngines.SetMaxAngularAccel(0.150000)
ImpulseEngines.SetMaxAngularVelocity(0.400000)
ImpulseEngines.SetMaxSpeed(7.000000)
ImpulseEngines.SetEngineSound("SFRD_TMPexecEngine")
App.g_kModelPropertyManager.RegisterLocalTemplate(ImpulseEngines)
#################################################
Phasers = App.WeaponSystemProperty_Create("Phasers")

Phasers.SetMaxCondition(2400.000000)
Phasers.SetCritical(0)
Phasers.SetTargetable(0)
Phasers.SetPrimary(1)
Phasers.SetPosition(-0.173416, 0.316298, 0.150863)
Phasers.SetPosition2D(46.000000, 64.000000)
Phasers.SetRepairComplexity(4.000000)
Phasers.SetDisabledPercentage(0.500000)
Phasers.SetRadius(0.010000)
Phasers.SetNormalPowerPerSecond(200.000000)
Phasers.SetWeaponSystemType(Phasers.WST_PHASER)
Phasers.SetSingleFire(0)
Phasers.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
Phasers.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(Phasers)
#################################################
WarpEngines = App.WarpEngineProperty_Create("Warp Engines")

WarpEngines.SetMaxCondition(5000.000000)
WarpEngines.SetCritical(0)
WarpEngines.SetTargetable(0)
WarpEngines.SetPrimary(1)
WarpEngines.SetPosition(0.094500, -0.270000, -0.405000)
WarpEngines.SetPosition2D(46.000000, 60.000000)
WarpEngines.SetRepairComplexity(3.000000)
WarpEngines.SetDisabledPercentage(0.500000)
WarpEngines.SetRadius(0.100000)
WarpEngines.SetNormalPowerPerSecond(0.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEngines)
#################################################
Torpedoes = App.TorpedoSystemProperty_Create("Torpedoes")

Torpedoes.SetMaxCondition(1000.000000)
Torpedoes.SetCritical(0)
Torpedoes.SetTargetable(0)
Torpedoes.SetPrimary(1)
Torpedoes.SetPosition(0.000000, 0.400000, 0.000000)
Torpedoes.SetPosition2D(82.000000, 64.000000)
Torpedoes.SetRepairComplexity(2.000000)
Torpedoes.SetDisabledPercentage(0.750000)
Torpedoes.SetRadius(0.003000)
Torpedoes.SetNormalPowerPerSecond(100.000000)
Torpedoes.SetWeaponSystemType(Torpedoes.WST_TORPEDO)
Torpedoes.SetSingleFire(0)
Torpedoes.SetAimedWeapon(1)
kFiringChainString = App.TGString()
kFiringChainString.SetString("0;Single;123;Dual")
Torpedoes.SetFiringChainString(kFiringChainString)
Torpedoes.SetMaxTorpedoes(0, 100)
Torpedoes.SetTorpedoScript(0, "Tactical.Projectiles.SFRD1_TMPTorpedoz")
Torpedoes.SetNumAmmoTypes(1)
App.g_kModelPropertyManager.RegisterLocalTemplate(Torpedoes)
#################################################
PortImpulse = App.EngineProperty_Create("Port Impulse")

PortImpulse.SetMaxCondition(2000.000000)
PortImpulse.SetCritical(0)
PortImpulse.SetTargetable(1)
PortImpulse.SetPrimary(1)
PortImpulse.SetPosition(-0.090770, -1.282550, 0.119385)
PortImpulse.SetPosition2D(57.000000, 121.000000)
PortImpulse.SetRepairComplexity(3.000000)
PortImpulse.SetDisabledPercentage(0.500000)
PortImpulse.SetRadius(0.050000)
PortImpulse.SetEngineType(PortImpulse.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(PortImpulse)
#################################################
StarImpulse = App.EngineProperty_Create("Star Impulse")

StarImpulse.SetMaxCondition(2000.000000)
StarImpulse.SetCritical(0)
StarImpulse.SetTargetable(1)
StarImpulse.SetPrimary(1)
StarImpulse.SetPosition(0.074896, -1.280180, 0.115600)
StarImpulse.SetPosition2D(72.000000, 120.000000)
StarImpulse.SetRepairComplexity(3.000000)
StarImpulse.SetDisabledPercentage(0.500000)
StarImpulse.SetRadius(0.050000)
StarImpulse.SetEngineType(StarImpulse.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(StarImpulse)
#################################################
PortWarp = App.EngineProperty_Create("Port Warp")

PortWarp.SetMaxCondition(4000.000000)
PortWarp.SetCritical(0)
PortWarp.SetTargetable(1)
PortWarp.SetPrimary(1)
PortWarp.SetPosition(-0.640364, 0.146186, -0.057397)
PortWarp.SetPosition2D(32.000000, 103.000000)
PortWarp.SetRepairComplexity(3.000000)
PortWarp.SetDisabledPercentage(0.500000)
PortWarp.SetRadius(0.020000)
PortWarp.SetEngineType(PortWarp.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(PortWarp)
#################################################
StarWarp = App.EngineProperty_Create("Star Warp")

StarWarp.SetMaxCondition(4000.000000)
StarWarp.SetCritical(0)
StarWarp.SetTargetable(1)
StarWarp.SetPrimary(1)
StarWarp.SetPosition(0.645129, 0.154432, -0.057329)
StarWarp.SetPosition2D(97.000000, 104.000000)
StarWarp.SetRepairComplexity(3.000000)
StarWarp.SetDisabledPercentage(0.500000)
StarWarp.SetRadius(0.020000)
StarWarp.SetEngineType(StarWarp.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(StarWarp)
#################################################
Engineering = App.RepairSubsystemProperty_Create("Engineering")

Engineering.SetMaxCondition(5000.000000)
Engineering.SetCritical(0)
Engineering.SetTargetable(0)
Engineering.SetPrimary(1)
Engineering.SetPosition(-0.079523, -0.273276, 0.229447)
Engineering.SetPosition2D(64.000000, 40.000000)
Engineering.SetRepairComplexity(4.000000)
Engineering.SetDisabledPercentage(0.100000)
Engineering.SetRadius(0.020000)
Engineering.SetNormalPowerPerSecond(1.000000)
Engineering.SetMaxRepairPoints(36.000000)
Engineering.SetNumRepairTeams(3)
App.g_kModelPropertyManager.RegisterLocalTemplate(Engineering)
#################################################
VentralPhaser1a = App.PhaserProperty_Create("Ventral Phaser 1a")

VentralPhaser1a.SetMaxCondition(800.000000)
VentralPhaser1a.SetCritical(0)
VentralPhaser1a.SetTargetable(1)
VentralPhaser1a.SetPrimary(1)
VentralPhaser1a.SetPosition(-0.279435, 0.483598, 0.055839)
VentralPhaser1a.SetPosition2D(-7.000000, 45.000000)
VentralPhaser1a.SetRepairComplexity(7.000000)
VentralPhaser1a.SetDisabledPercentage(0.750000)
VentralPhaser1a.SetRadius(0.050000)
VentralPhaser1a.SetDumbfire(0)
VentralPhaser1a.SetWeaponID(1)
VentralPhaser1a.SetGroups(0)
VentralPhaser1a.SetDamageRadiusFactor(0.150000)
VentralPhaser1a.SetIconNum(361)
VentralPhaser1a.SetIconPositionX(35.000000)
VentralPhaser1a.SetIconPositionY(60.000000)
VentralPhaser1a.SetIconAboveShip(0)
VentralPhaser1a.SetFireSound("SFRD1_TMPPhaser")
VentralPhaser1a.SetMaxCharge(5.000000)
VentralPhaser1a.SetMaxDamage(425.000000)
VentralPhaser1a.SetMaxDamageDistance(60.000000)
VentralPhaser1a.SetMinFiringCharge(3.500000)
VentralPhaser1a.SetNormalDischargeRate(1.000000)
VentralPhaser1a.SetRechargeRate(0.080000)
VentralPhaser1a.SetIndicatorIconNum(508)
VentralPhaser1a.SetIndicatorIconPositionX(33.000000)
VentralPhaser1a.SetIndicatorIconPositionY(60.000000)
VentralPhaser1aForward = App.TGPoint3()
VentralPhaser1aForward.SetXYZ(-1.000000, 0.000000, 0.000000)
VentralPhaser1aUp = App.TGPoint3()
VentralPhaser1aUp.SetXYZ(0.000000, 0.000000, 1.000000)
VentralPhaser1a.SetOrientation(VentralPhaser1aForward, VentralPhaser1aUp)
VentralPhaser1a.SetWidth(0.001000)
VentralPhaser1a.SetLength(0.001000)
VentralPhaser1a.SetArcWidthAngles(-0.785398, 0.174533)
VentralPhaser1a.SetArcHeightAngles(0.034907, -1.570796)
VentralPhaser1a.SetPhaserTextureStart(0)
VentralPhaser1a.SetPhaserTextureEnd(7)
VentralPhaser1a.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
VentralPhaser1a.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
VentralPhaser1a.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
VentralPhaser1a.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
VentralPhaser1a.SetInnerCoreColor(kColor)
VentralPhaser1a.SetNumSides(6)
VentralPhaser1a.SetMainRadius(0.090000)
VentralPhaser1a.SetTaperRadius(0.010000)
VentralPhaser1a.SetCoreScale(0.500000)
VentralPhaser1a.SetTaperRatio(0.250000)
VentralPhaser1a.SetTaperMinLength(5.000000)
VentralPhaser1a.SetTaperMaxLength(30.000000)
VentralPhaser1a.SetLengthTextureTilePerUnit(0.050000)
VentralPhaser1a.SetPerimeterTile(1.000000)
VentralPhaser1a.SetTextureSpeed(5.000000)
VentralPhaser1a.SetTextureName("data/SFRD_TMP1pulse.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaser1a)
#################################################
VentralPhaser2a = App.PhaserProperty_Create("Ventral Phaser 2a")

VentralPhaser2a.SetMaxCondition(800.000000)
VentralPhaser2a.SetCritical(0)
VentralPhaser2a.SetTargetable(1)
VentralPhaser2a.SetPrimary(1)
VentralPhaser2a.SetPosition(0.007915, 0.761402, 0.058078)
VentralPhaser2a.SetPosition2D(3.000000, 45.000000)
VentralPhaser2a.SetRepairComplexity(7.000000)
VentralPhaser2a.SetDisabledPercentage(0.750000)
VentralPhaser2a.SetRadius(0.050000)
VentralPhaser2a.SetDumbfire(0)
VentralPhaser2a.SetWeaponID(2)
VentralPhaser2a.SetGroups(0)
VentralPhaser2a.SetDamageRadiusFactor(0.150000)
VentralPhaser2a.SetIconNum(330)
VentralPhaser2a.SetIconPositionX(22.000000)
VentralPhaser2a.SetIconPositionY(42.000000)
VentralPhaser2a.SetIconAboveShip(0)
VentralPhaser2a.SetFireSound("SFRD1_TMPPhaser")
VentralPhaser2a.SetMaxCharge(5.000000)
VentralPhaser2a.SetMaxDamage(425.000000)
VentralPhaser2a.SetMaxDamageDistance(60.000000)
VentralPhaser2a.SetMinFiringCharge(3.500000)
VentralPhaser2a.SetNormalDischargeRate(1.000000)
VentralPhaser2a.SetRechargeRate(0.080000)
VentralPhaser2a.SetIndicatorIconNum(505)
VentralPhaser2a.SetIndicatorIconPositionX(27.000000)
VentralPhaser2a.SetIndicatorIconPositionY(45.000000)
VentralPhaser2aForward = App.TGPoint3()
VentralPhaser2aForward.SetXYZ(0.000000, 1.000000, 0.000000)
VentralPhaser2aUp = App.TGPoint3()
VentralPhaser2aUp.SetXYZ(0.000000, 0.000000, -1.000000)
VentralPhaser2a.SetOrientation(VentralPhaser2aForward, VentralPhaser2aUp)
VentralPhaser2a.SetWidth(0.001000)
VentralPhaser2a.SetLength(0.001000)
VentralPhaser2a.SetArcWidthAngles(-0.785398, 0.785398)
VentralPhaser2a.SetArcHeightAngles(0.034907, 1.570796)
VentralPhaser2a.SetPhaserTextureStart(0)
VentralPhaser2a.SetPhaserTextureEnd(7)
VentralPhaser2a.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
VentralPhaser2a.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
VentralPhaser2a.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
VentralPhaser2a.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
VentralPhaser2a.SetInnerCoreColor(kColor)
VentralPhaser2a.SetNumSides(6)
VentralPhaser2a.SetMainRadius(0.090000)
VentralPhaser2a.SetTaperRadius(0.010000)
VentralPhaser2a.SetCoreScale(0.700000)
VentralPhaser2a.SetTaperRatio(0.250000)
VentralPhaser2a.SetTaperMinLength(5.000000)
VentralPhaser2a.SetTaperMaxLength(30.000000)
VentralPhaser2a.SetLengthTextureTilePerUnit(0.050000)
VentralPhaser2a.SetPerimeterTile(1.000000)
VentralPhaser2a.SetTextureSpeed(5.000000)
VentralPhaser2a.SetTextureName("data/SFRD_TMP1pulse.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaser2a)
#################################################
VentralPhaser2b = App.PhaserProperty_Create("Ventral Phaser 2b")

VentralPhaser2b.SetMaxCondition(800.000000)
VentralPhaser2b.SetCritical(0)
VentralPhaser2b.SetTargetable(1)
VentralPhaser2b.SetPrimary(1)
VentralPhaser2b.SetPosition(-0.010287, 0.760475, 0.058362)
VentralPhaser2b.SetPosition2D(8.000000, 45.000000)
VentralPhaser2b.SetRepairComplexity(7.000000)
VentralPhaser2b.SetDisabledPercentage(0.750000)
VentralPhaser2b.SetRadius(0.050000)
VentralPhaser2b.SetDumbfire(0)
VentralPhaser2b.SetWeaponID(3)
VentralPhaser2b.SetGroups(0)
VentralPhaser2b.SetDamageRadiusFactor(0.150000)
VentralPhaser2b.SetIconNum(350)
VentralPhaser2b.SetIconPositionX(78.000000)
VentralPhaser2b.SetIconPositionY(42.000000)
VentralPhaser2b.SetIconAboveShip(0)
VentralPhaser2b.SetFireSound("SFRD1_TMPPhaser")
VentralPhaser2b.SetMaxCharge(5.000000)
VentralPhaser2b.SetMaxDamage(425.000000)
VentralPhaser2b.SetMaxDamageDistance(60.000000)
VentralPhaser2b.SetMinFiringCharge(3.500000)
VentralPhaser2b.SetNormalDischargeRate(1.000000)
VentralPhaser2b.SetRechargeRate(0.080000)
VentralPhaser2b.SetIndicatorIconNum(506)
VentralPhaser2b.SetIndicatorIconPositionX(81.000000)
VentralPhaser2b.SetIndicatorIconPositionY(45.000000)
VentralPhaser2bForward = App.TGPoint3()
VentralPhaser2bForward.SetXYZ(0.000000, 1.000000, 0.000000)
VentralPhaser2bUp = App.TGPoint3()
VentralPhaser2bUp.SetXYZ(0.000000, 0.000000, -1.000000)
VentralPhaser2b.SetOrientation(VentralPhaser2bForward, VentralPhaser2bUp)
VentralPhaser2b.SetWidth(0.001000)
VentralPhaser2b.SetLength(0.001000)
VentralPhaser2b.SetArcWidthAngles(-0.785398, 0.785398)
VentralPhaser2b.SetArcHeightAngles(0.034907, 1.570796)
VentralPhaser2b.SetPhaserTextureStart(0)
VentralPhaser2b.SetPhaserTextureEnd(7)
VentralPhaser2b.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
VentralPhaser2b.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
VentralPhaser2b.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
VentralPhaser2b.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
VentralPhaser2b.SetInnerCoreColor(kColor)
VentralPhaser2b.SetNumSides(6)
VentralPhaser2b.SetMainRadius(0.090000)
VentralPhaser2b.SetTaperRadius(0.010000)
VentralPhaser2b.SetCoreScale(0.700000)
VentralPhaser2b.SetTaperRatio(0.250000)
VentralPhaser2b.SetTaperMinLength(5.000000)
VentralPhaser2b.SetTaperMaxLength(30.000000)
VentralPhaser2b.SetLengthTextureTilePerUnit(0.050000)
VentralPhaser2b.SetPerimeterTile(1.000000)
VentralPhaser2b.SetTextureSpeed(5.000000)
VentralPhaser2b.SetTextureName("data/SFRD_TMP1pulse.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaser2b)
#################################################
VentralPhaser3a = App.PhaserProperty_Create("Ventral Phaser 3a")

VentralPhaser3a.SetMaxCondition(800.000000)
VentralPhaser3a.SetCritical(0)
VentralPhaser3a.SetTargetable(1)
VentralPhaser3a.SetPrimary(1)
VentralPhaser3a.SetPosition(0.279933, 0.463541, 0.056616)
VentralPhaser3a.SetPosition2D(13.000000, 45.000000)
VentralPhaser3a.SetRepairComplexity(7.000000)
VentralPhaser3a.SetDisabledPercentage(0.750000)
VentralPhaser3a.SetRadius(0.050000)
VentralPhaser3a.SetDumbfire(0)
VentralPhaser3a.SetWeaponID(4)
VentralPhaser3a.SetGroups(0)
VentralPhaser3a.SetDamageRadiusFactor(0.150000)
VentralPhaser3a.SetIconNum(362)
VentralPhaser3a.SetIconPositionX(105.000000)
VentralPhaser3a.SetIconPositionY(60.000000)
VentralPhaser3a.SetIconAboveShip(0)
VentralPhaser3a.SetFireSound("SFRD1_TMPPhaser")
VentralPhaser3a.SetMaxCharge(5.000000)
VentralPhaser3a.SetMaxDamage(425.000000)
VentralPhaser3a.SetMaxDamageDistance(60.000000)
VentralPhaser3a.SetMinFiringCharge(3.500000)
VentralPhaser3a.SetNormalDischargeRate(1.000000)
VentralPhaser3a.SetRechargeRate(0.080000)
VentralPhaser3a.SetIndicatorIconNum(509)
VentralPhaser3a.SetIndicatorIconPositionX(104.000000)
VentralPhaser3a.SetIndicatorIconPositionY(60.000000)
VentralPhaser3aForward = App.TGPoint3()
VentralPhaser3aForward.SetXYZ(1.000000, 0.000000, 0.000000)
VentralPhaser3aUp = App.TGPoint3()
VentralPhaser3aUp.SetXYZ(0.000000, 0.000000, -1.000000)
VentralPhaser3a.SetOrientation(VentralPhaser3aForward, VentralPhaser3aUp)
VentralPhaser3a.SetWidth(0.001000)
VentralPhaser3a.SetLength(0.001000)
VentralPhaser3a.SetArcWidthAngles(-0.785398, 0.174533)
VentralPhaser3a.SetArcHeightAngles(0.034907, 1.570796)
VentralPhaser3a.SetPhaserTextureStart(0)
VentralPhaser3a.SetPhaserTextureEnd(7)
VentralPhaser3a.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
VentralPhaser3a.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
VentralPhaser3a.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
VentralPhaser3a.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
VentralPhaser3a.SetInnerCoreColor(kColor)
VentralPhaser3a.SetNumSides(6)
VentralPhaser3a.SetMainRadius(0.090000)
VentralPhaser3a.SetTaperRadius(0.010000)
VentralPhaser3a.SetCoreScale(0.500000)
VentralPhaser3a.SetTaperRatio(0.250000)
VentralPhaser3a.SetTaperMinLength(5.000000)
VentralPhaser3a.SetTaperMaxLength(30.000000)
VentralPhaser3a.SetLengthTextureTilePerUnit(0.050000)
VentralPhaser3a.SetPerimeterTile(1.000000)
VentralPhaser3a.SetTextureSpeed(5.000000)
VentralPhaser3a.SetTextureName("data/SFRD_TMP1pulse.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaser3a)
#################################################
DorsalPhaser1a = App.PhaserProperty_Create("Dorsal Phaser 1a")

DorsalPhaser1a.SetMaxCondition(800.000000)
DorsalPhaser1a.SetCritical(0)
DorsalPhaser1a.SetTargetable(1)
DorsalPhaser1a.SetPrimary(1)
DorsalPhaser1a.SetPosition(-0.333774, 0.455939, 0.193854)
DorsalPhaser1a.SetPosition2D(-7.000000, 25.000000)
DorsalPhaser1a.SetRepairComplexity(7.000000)
DorsalPhaser1a.SetDisabledPercentage(0.750000)
DorsalPhaser1a.SetRadius(0.050000)
DorsalPhaser1a.SetDumbfire(0)
DorsalPhaser1a.SetWeaponID(5)
DorsalPhaser1a.SetGroups(0)
DorsalPhaser1a.SetDamageRadiusFactor(0.150000)
DorsalPhaser1a.SetIconNum(340)
DorsalPhaser1a.SetIconPositionX(12.000000)
DorsalPhaser1a.SetIconPositionY(41.000000)
DorsalPhaser1a.SetIconAboveShip(1)
DorsalPhaser1a.SetFireSound("SFRD1_TMPPhaser")
DorsalPhaser1a.SetMaxCharge(5.000000)
DorsalPhaser1a.SetMaxDamage(425.000000)
DorsalPhaser1a.SetMaxDamageDistance(60.000000)
DorsalPhaser1a.SetMinFiringCharge(3.500000)
DorsalPhaser1a.SetNormalDischargeRate(1.000000)
DorsalPhaser1a.SetRechargeRate(0.080000)
DorsalPhaser1a.SetIndicatorIconNum(500)
DorsalPhaser1a.SetIndicatorIconPositionX(24.000000)
DorsalPhaser1a.SetIndicatorIconPositionY(52.000000)
DorsalPhaser1aForward = App.TGPoint3()
DorsalPhaser1aForward.SetXYZ(-1.000000, 0.000000, 0.000000)
DorsalPhaser1aUp = App.TGPoint3()
DorsalPhaser1aUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaser1a.SetOrientation(DorsalPhaser1aForward, DorsalPhaser1aUp)
DorsalPhaser1a.SetWidth(0.001000)
DorsalPhaser1a.SetLength(0.001000)
DorsalPhaser1a.SetArcWidthAngles(-0.785398, 0.785398)
DorsalPhaser1a.SetArcHeightAngles(-0.034907, 1.570796)
DorsalPhaser1a.SetPhaserTextureStart(0)
DorsalPhaser1a.SetPhaserTextureEnd(7)
DorsalPhaser1a.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
DorsalPhaser1a.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
DorsalPhaser1a.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
DorsalPhaser1a.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
DorsalPhaser1a.SetInnerCoreColor(kColor)
DorsalPhaser1a.SetNumSides(6)
DorsalPhaser1a.SetMainRadius(0.090000)
DorsalPhaser1a.SetTaperRadius(0.010000)
DorsalPhaser1a.SetCoreScale(0.500000)
DorsalPhaser1a.SetTaperRatio(0.250000)
DorsalPhaser1a.SetTaperMinLength(5.000000)
DorsalPhaser1a.SetTaperMaxLength(30.000000)
DorsalPhaser1a.SetLengthTextureTilePerUnit(0.050000)
DorsalPhaser1a.SetPerimeterTile(1.000000)
DorsalPhaser1a.SetTextureSpeed(5.000000)
DorsalPhaser1a.SetTextureName("data/SFRD_TMP1pulse.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaser1a)
#################################################
DorsalPhaser2a = App.PhaserProperty_Create("Dorsal Phaser 2a")

DorsalPhaser2a.SetMaxCondition(800.000000)
DorsalPhaser2a.SetCritical(0)
DorsalPhaser2a.SetTargetable(1)
DorsalPhaser2a.SetPrimary(1)
DorsalPhaser2a.SetPosition(-0.012845, 0.804127, 0.192722)
DorsalPhaser2a.SetPosition2D(3.000000, 25.000000)
DorsalPhaser2a.SetRepairComplexity(7.000000)
DorsalPhaser2a.SetDisabledPercentage(0.750000)
DorsalPhaser2a.SetRadius(0.050000)
DorsalPhaser2a.SetDumbfire(0)
DorsalPhaser2a.SetWeaponID(6)
DorsalPhaser2a.SetGroups(0)
DorsalPhaser2a.SetDamageRadiusFactor(0.150000)
DorsalPhaser2a.SetIconNum(330)
DorsalPhaser2a.SetIconPositionX(22.000000)
DorsalPhaser2a.SetIconPositionY(21.000000)
DorsalPhaser2a.SetIconAboveShip(1)
DorsalPhaser2a.SetFireSound("SFRD1_TMPPhaser")
DorsalPhaser2a.SetMaxCharge(5.000000)
DorsalPhaser2a.SetMaxDamage(425.000000)
DorsalPhaser2a.SetMaxDamageDistance(60.000000)
DorsalPhaser2a.SetMinFiringCharge(3.500000)
DorsalPhaser2a.SetNormalDischargeRate(1.000000)
DorsalPhaser2a.SetRechargeRate(0.080000)
DorsalPhaser2a.SetIndicatorIconNum(501)
DorsalPhaser2a.SetIndicatorIconPositionX(29.000000)
DorsalPhaser2a.SetIndicatorIconPositionY(24.000000)
DorsalPhaser2aForward = App.TGPoint3()
DorsalPhaser2aForward.SetXYZ(0.000000, 1.000000, 0.000000)
DorsalPhaser2aUp = App.TGPoint3()
DorsalPhaser2aUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaser2a.SetOrientation(DorsalPhaser2aForward, DorsalPhaser2aUp)
DorsalPhaser2a.SetWidth(0.001000)
DorsalPhaser2a.SetLength(0.001000)
DorsalPhaser2a.SetArcWidthAngles(-0.785398, 0.785398)
DorsalPhaser2a.SetArcHeightAngles(-0.034907, 1.570796)
DorsalPhaser2a.SetPhaserTextureStart(0)
DorsalPhaser2a.SetPhaserTextureEnd(7)
DorsalPhaser2a.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
DorsalPhaser2a.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
DorsalPhaser2a.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
DorsalPhaser2a.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
DorsalPhaser2a.SetInnerCoreColor(kColor)
DorsalPhaser2a.SetNumSides(6)
DorsalPhaser2a.SetMainRadius(0.090000)
DorsalPhaser2a.SetTaperRadius(0.010000)
DorsalPhaser2a.SetCoreScale(0.500000)
DorsalPhaser2a.SetTaperRatio(0.250000)
DorsalPhaser2a.SetTaperMinLength(5.000000)
DorsalPhaser2a.SetTaperMaxLength(30.000000)
DorsalPhaser2a.SetLengthTextureTilePerUnit(0.050000)
DorsalPhaser2a.SetPerimeterTile(1.000000)
DorsalPhaser2a.SetTextureSpeed(5.000000)
DorsalPhaser2a.SetTextureName("data/SFRD_TMP1pulse.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaser2a)
#################################################
DorsalPhaser2b = App.PhaserProperty_Create("Dorsal Phaser 2b")

DorsalPhaser2b.SetMaxCondition(800.000000)
DorsalPhaser2b.SetCritical(0)
DorsalPhaser2b.SetTargetable(1)
DorsalPhaser2b.SetPrimary(1)
DorsalPhaser2b.SetPosition(0.008860, 0.803531, 0.193134)
DorsalPhaser2b.SetPosition2D(8.000000, 25.000000)
DorsalPhaser2b.SetRepairComplexity(7.000000)
DorsalPhaser2b.SetDisabledPercentage(0.750000)
DorsalPhaser2b.SetRadius(0.050000)
DorsalPhaser2b.SetDumbfire(0)
DorsalPhaser2b.SetWeaponID(7)
DorsalPhaser2b.SetGroups(0)
DorsalPhaser2b.SetDamageRadiusFactor(0.150000)
DorsalPhaser2b.SetIconNum(350)
DorsalPhaser2b.SetIconPositionX(78.000000)
DorsalPhaser2b.SetIconPositionY(21.000000)
DorsalPhaser2b.SetIconAboveShip(1)
DorsalPhaser2b.SetFireSound("SFRD1_TMPPhaser")
DorsalPhaser2b.SetMaxCharge(5.000000)
DorsalPhaser2b.SetMaxDamage(425.000000)
DorsalPhaser2b.SetMaxDamageDistance(60.000000)
DorsalPhaser2b.SetMinFiringCharge(3.500000)
DorsalPhaser2b.SetNormalDischargeRate(1.000000)
DorsalPhaser2b.SetRechargeRate(0.080000)
DorsalPhaser2b.SetIndicatorIconNum(502)
DorsalPhaser2b.SetIndicatorIconPositionX(81.000000)
DorsalPhaser2b.SetIndicatorIconPositionY(24.000000)
DorsalPhaser2bForward = App.TGPoint3()
DorsalPhaser2bForward.SetXYZ(0.000000, 1.000000, 0.000000)
DorsalPhaser2bUp = App.TGPoint3()
DorsalPhaser2bUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaser2b.SetOrientation(DorsalPhaser2bForward, DorsalPhaser2bUp)
DorsalPhaser2b.SetWidth(0.001000)
DorsalPhaser2b.SetLength(0.001000)
DorsalPhaser2b.SetArcWidthAngles(-0.785398, 0.785398)
DorsalPhaser2b.SetArcHeightAngles(-0.034907, 1.570796)
DorsalPhaser2b.SetPhaserTextureStart(0)
DorsalPhaser2b.SetPhaserTextureEnd(7)
DorsalPhaser2b.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
DorsalPhaser2b.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
DorsalPhaser2b.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
DorsalPhaser2b.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
DorsalPhaser2b.SetInnerCoreColor(kColor)
DorsalPhaser2b.SetNumSides(6)
DorsalPhaser2b.SetMainRadius(0.090000)
DorsalPhaser2b.SetTaperRadius(0.010000)
DorsalPhaser2b.SetCoreScale(0.500000)
DorsalPhaser2b.SetTaperRatio(0.250000)
DorsalPhaser2b.SetTaperMinLength(5.000000)
DorsalPhaser2b.SetTaperMaxLength(30.000000)
DorsalPhaser2b.SetLengthTextureTilePerUnit(0.050000)
DorsalPhaser2b.SetPerimeterTile(1.000000)
DorsalPhaser2b.SetTextureSpeed(5.000000)
DorsalPhaser2b.SetTextureName("data/SFRD_TMP1pulse.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaser2b)
#################################################
DorsalPhaser3a = App.PhaserProperty_Create("Dorsal Phaser 3a")

DorsalPhaser3a.SetMaxCondition(800.000000)
DorsalPhaser3a.SetCritical(0)
DorsalPhaser3a.SetTargetable(1)
DorsalPhaser3a.SetPrimary(1)
DorsalPhaser3a.SetPosition(0.327870, 0.457582, 0.191624)
DorsalPhaser3a.SetPosition2D(13.000000, 25.000000)
DorsalPhaser3a.SetRepairComplexity(7.000000)
DorsalPhaser3a.SetDisabledPercentage(0.750000)
DorsalPhaser3a.SetRadius(0.050000)
DorsalPhaser3a.SetDumbfire(0)
DorsalPhaser3a.SetWeaponID(8)
DorsalPhaser3a.SetGroups(0)
DorsalPhaser3a.SetDamageRadiusFactor(0.150000)
DorsalPhaser3a.SetIconNum(360)
DorsalPhaser3a.SetIconPositionX(111.000000)
DorsalPhaser3a.SetIconPositionY(41.000000)
DorsalPhaser3a.SetIconAboveShip(1)
DorsalPhaser3a.SetFireSound("SFRD1_TMPPhaser")
DorsalPhaser3a.SetMaxCharge(5.000000)
DorsalPhaser3a.SetMaxDamage(425.000000)
DorsalPhaser3a.SetMaxDamageDistance(60.000000)
DorsalPhaser3a.SetMinFiringCharge(3.500000)
DorsalPhaser3a.SetNormalDischargeRate(1.000000)
DorsalPhaser3a.SetRechargeRate(0.080000)
DorsalPhaser3a.SetIndicatorIconNum(503)
DorsalPhaser3a.SetIndicatorIconPositionX(95.000000)
DorsalPhaser3a.SetIndicatorIconPositionY(52.000000)
DorsalPhaser3aForward = App.TGPoint3()
DorsalPhaser3aForward.SetXYZ(1.000000, 0.000000, 0.000000)
DorsalPhaser3aUp = App.TGPoint3()
DorsalPhaser3aUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaser3a.SetOrientation(DorsalPhaser3aForward, DorsalPhaser3aUp)
DorsalPhaser3a.SetWidth(0.001000)
DorsalPhaser3a.SetLength(0.001000)
DorsalPhaser3a.SetArcWidthAngles(-0.785398, 0.785398)
DorsalPhaser3a.SetArcHeightAngles(-0.034907, 1.570796)
DorsalPhaser3a.SetPhaserTextureStart(0)
DorsalPhaser3a.SetPhaserTextureEnd(7)
DorsalPhaser3a.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
DorsalPhaser3a.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
DorsalPhaser3a.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
DorsalPhaser3a.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
DorsalPhaser3a.SetInnerCoreColor(kColor)
DorsalPhaser3a.SetNumSides(6)
DorsalPhaser3a.SetMainRadius(0.090000)
DorsalPhaser3a.SetTaperRadius(0.010000)
DorsalPhaser3a.SetCoreScale(0.500000)
DorsalPhaser3a.SetTaperRatio(0.250000)
DorsalPhaser3a.SetTaperMinLength(5.000000)
DorsalPhaser3a.SetTaperMaxLength(30.000000)
DorsalPhaser3a.SetLengthTextureTilePerUnit(0.050000)
DorsalPhaser3a.SetPerimeterTile(1.000000)
DorsalPhaser3a.SetTextureSpeed(5.000000)
DorsalPhaser3a.SetTextureName("data/SFRD_TMP1pulse.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaser3a)
#################################################
SFRD_Bozeman = App.ShipProperty_Create("SFRD_Bozeman")

SFRD_Bozeman.SetGenus(1)
SFRD_Bozeman.SetSpecies(148)
SFRD_Bozeman.SetMass(70.000000)
SFRD_Bozeman.SetRotationalInertia(8000.000000)
SFRD_Bozeman.SetShipName("SFRD_Bozeman")
SFRD_Bozeman.SetModelFilename("data/Models/Ships/SFRD_Miranda_s/SFRD_Bozeman.nif")
SFRD_Bozeman.SetDamageResolution(8.000000)
SFRD_Bozeman.SetAffiliation(0)
SFRD_Bozeman.SetStationary(0)
SFRD_Bozeman.SetAIString("FedAttack")
SFRD_Bozeman.SetDeathExplosionSound("g_lsDeathExplosions")
App.g_kModelPropertyManager.RegisterLocalTemplate(SFRD_Bozeman)
#################################################
ForwardTractor = App.TractorBeamProperty_Create("Forward Tractor")

ForwardTractor.SetMaxCondition(1500.000000)
ForwardTractor.SetCritical(0)
ForwardTractor.SetTargetable(1)
ForwardTractor.SetPrimary(1)
ForwardTractor.SetPosition(0.003017, 1.138440, 0.015817)
ForwardTractor.SetPosition2D(103.000000, 117.000000)
ForwardTractor.SetRepairComplexity(7.000000)
ForwardTractor.SetDisabledPercentage(0.750000)
ForwardTractor.SetRadius(0.270000)
ForwardTractor.SetDumbfire(0)
ForwardTractor.SetWeaponID(1)
ForwardTractor.SetGroups(0)
ForwardTractor.SetDamageRadiusFactor(0.300000)
ForwardTractor.SetIconNum(0)
ForwardTractor.SetIconPositionX(0.000000)
ForwardTractor.SetIconPositionY(0.000000)
ForwardTractor.SetIconAboveShip(1)
ForwardTractor.SetFireSound("Tractor Beam")
ForwardTractor.SetMaxCharge(5.000000)
ForwardTractor.SetMaxDamage(60.000000)
ForwardTractor.SetMaxDamageDistance(100.000000)
ForwardTractor.SetMinFiringCharge(3.000000)
ForwardTractor.SetNormalDischargeRate(1.000000)
ForwardTractor.SetRechargeRate(0.300000)
ForwardTractor.SetIndicatorIconNum(0)
ForwardTractor.SetIndicatorIconPositionX(0.000000)
ForwardTractor.SetIndicatorIconPositionY(0.000000)
ForwardTractorForward = App.TGPoint3()
ForwardTractorForward.SetXYZ(0.013816, 0.885601, -0.464242)
ForwardTractorUp = App.TGPoint3()
ForwardTractorUp.SetXYZ(-0.000305, -0.190806, 0.981628)
ForwardTractor.SetOrientation(ForwardTractorForward, ForwardTractorUp)
ForwardTractor.SetArcWidthAngles(-0.872665, 0.872665)
ForwardTractor.SetArcHeightAngles(-0.872665, 0.959931)
ForwardTractor.SetTractorBeamWidth(0.300000)
ForwardTractor.SetTextureStart(0)
ForwardTractor.SetTextureEnd(0)
ForwardTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
kColor = App.TGColorA()
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetOuterShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetInnerShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetInnerCoreColor(kColor)
ForwardTractor.SetNumSides(12)
ForwardTractor.SetMainRadius(0.075000)
ForwardTractor.SetTaperRadius(0.000000)
ForwardTractor.SetCoreScale(0.450000)
ForwardTractor.SetTaperRatio(0.200000)
ForwardTractor.SetTaperMinLength(1.000000)
ForwardTractor.SetTaperMaxLength(5.000000)
ForwardTractor.SetLengthTextureTilePerUnit(0.250000)
ForwardTractor.SetPerimeterTile(1.000000)
ForwardTractor.SetTextureSpeed(0.200000)
ForwardTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(ForwardTractor)
#################################################
AftTractor = App.TractorBeamProperty_Create("Aft Tractor")

AftTractor.SetMaxCondition(1500.000000)
AftTractor.SetCritical(0)
AftTractor.SetTargetable(1)
AftTractor.SetPrimary(1)
AftTractor.SetPosition(-0.004705, -0.757406, 0.185085)
AftTractor.SetPosition2D(127.000000, 117.000000)
AftTractor.SetRepairComplexity(7.000000)
AftTractor.SetDisabledPercentage(0.750000)
AftTractor.SetRadius(0.202500)
AftTractor.SetDumbfire(0)
AftTractor.SetWeaponID(1)
AftTractor.SetGroups(0)
AftTractor.SetDamageRadiusFactor(0.300000)
AftTractor.SetIconNum(0)
AftTractor.SetIconPositionX(0.000000)
AftTractor.SetIconPositionY(0.000000)
AftTractor.SetIconAboveShip(1)
AftTractor.SetFireSound("Tractor Beam")
AftTractor.SetMaxCharge(5.000000)
AftTractor.SetMaxDamage(60.000000)
AftTractor.SetMaxDamageDistance(100.000000)
AftTractor.SetMinFiringCharge(3.000000)
AftTractor.SetNormalDischargeRate(1.000000)
AftTractor.SetRechargeRate(0.300000)
AftTractor.SetIndicatorIconNum(0)
AftTractor.SetIndicatorIconPositionX(0.000000)
AftTractor.SetIndicatorIconPositionY(0.000000)
AftTractorForward = App.TGPoint3()
AftTractorForward.SetXYZ(0.000000, -1.000000, 0.000000)
AftTractorUp = App.TGPoint3()
AftTractorUp.SetXYZ(0.000000, 0.000000, 1.000000)
AftTractor.SetOrientation(AftTractorForward, AftTractorUp)
AftTractor.SetArcWidthAngles(-0.698132, 0.698132)
AftTractor.SetArcHeightAngles(-0.698132, 0.349066)
AftTractor.SetTractorBeamWidth(0.300000)
AftTractor.SetTextureStart(0)
AftTractor.SetTextureEnd(0)
AftTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
kColor = App.TGColorA()
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractor.SetOuterShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractor.SetInnerShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractor.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractor.SetInnerCoreColor(kColor)
AftTractor.SetNumSides(12)
AftTractor.SetMainRadius(0.075000)
AftTractor.SetTaperRadius(0.000000)
AftTractor.SetCoreScale(0.450000)
AftTractor.SetTaperRatio(0.200000)
AftTractor.SetTaperMinLength(1.000000)
AftTractor.SetTaperMaxLength(5.000000)
AftTractor.SetLengthTextureTilePerUnit(0.250000)
AftTractor.SetPerimeterTile(1.000000)
AftTractor.SetTextureSpeed(0.200000)
AftTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(AftTractor)
#################################################
ViewscreenForward = App.PositionOrientationProperty_Create("ViewscreenForward")

ViewscreenForwardForward = App.TGPoint3()
ViewscreenForwardForward.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenForwardUp = App.TGPoint3()
ViewscreenForwardUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenForwardRight = App.TGPoint3()
ViewscreenForwardRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenForward.SetOrientation(ViewscreenForwardForward, ViewscreenForwardUp, ViewscreenForwardRight)
ViewscreenForwardPosition = App.TGPoint3()
ViewscreenForwardPosition.SetXYZ(0.070000, 2.000000, 0.100000)
ViewscreenForward.SetPosition(ViewscreenForwardPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenForward)
#################################################
ViewscreenBack = App.PositionOrientationProperty_Create("ViewscreenBack")

ViewscreenBackForward = App.TGPoint3()
ViewscreenBackForward.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenBackUp = App.TGPoint3()
ViewscreenBackUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenBackRight = App.TGPoint3()
ViewscreenBackRight.SetXYZ(-1.000000, 0.000000, 0.000000)
ViewscreenBack.SetOrientation(ViewscreenBackForward, ViewscreenBackUp, ViewscreenBackRight)
ViewscreenBackPosition = App.TGPoint3()
ViewscreenBackPosition.SetXYZ(0.070000, -1.200000, 0.300000)
ViewscreenBack.SetPosition(ViewscreenBackPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenBack)
#################################################
ViewscreenLeft = App.PositionOrientationProperty_Create("ViewscreenLeft")

ViewscreenLeftForward = App.TGPoint3()
ViewscreenLeftForward.SetXYZ(-1.000000, 0.000000, 0.000000)
ViewscreenLeftUp = App.TGPoint3()
ViewscreenLeftUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenLeftRight = App.TGPoint3()
ViewscreenLeftRight.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenLeft.SetOrientation(ViewscreenLeftForward, ViewscreenLeftUp, ViewscreenLeftRight)
ViewscreenLeftPosition = App.TGPoint3()
ViewscreenLeftPosition.SetXYZ(0.070000, 2.200000, 0.100000)
ViewscreenLeft.SetPosition(ViewscreenLeftPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenLeft)
#################################################
ViewscreenRight = App.PositionOrientationProperty_Create("ViewscreenRight")

ViewscreenRightForward = App.TGPoint3()
ViewscreenRightForward.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenRightUp = App.TGPoint3()
ViewscreenRightUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenRightRight = App.TGPoint3()
ViewscreenRightRight.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenRight.SetOrientation(ViewscreenRightForward, ViewscreenRightUp, ViewscreenRightRight)
ViewscreenRightPosition = App.TGPoint3()
ViewscreenRightPosition.SetXYZ(0.070000, 2.200000, 0.100000)
ViewscreenRight.SetPosition(ViewscreenRightPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenRight)
#################################################
ViewscreenUp = App.PositionOrientationProperty_Create("ViewscreenUp")

ViewscreenUpForward = App.TGPoint3()
ViewscreenUpForward.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenUpUp = App.TGPoint3()
ViewscreenUpUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenUpRight = App.TGPoint3()
ViewscreenUpRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenUp.SetOrientation(ViewscreenUpForward, ViewscreenUpUp, ViewscreenUpRight)
ViewscreenUpPosition = App.TGPoint3()
ViewscreenUpPosition.SetXYZ(0.070000, 2.200000, 0.100000)
ViewscreenUp.SetPosition(ViewscreenUpPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenUp)
#################################################
ViewscreenDown = App.PositionOrientationProperty_Create("ViewscreenDown")

ViewscreenDownForward = App.TGPoint3()
ViewscreenDownForward.SetXYZ(0.000000, 0.000000, -1.000000)
ViewscreenDownUp = App.TGPoint3()
ViewscreenDownUp.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenDownRight = App.TGPoint3()
ViewscreenDownRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenDown.SetOrientation(ViewscreenDownForward, ViewscreenDownUp, ViewscreenDownRight)
ViewscreenDownPosition = App.TGPoint3()
ViewscreenDownPosition.SetXYZ(0.070000, 2.200000, -0.150000)
ViewscreenDown.SetPosition(ViewscreenDownPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenDown)
#################################################
FirstPersonCamera = App.PositionOrientationProperty_Create("FirstPersonCamera")

FirstPersonCameraForward = App.TGPoint3()
FirstPersonCameraForward.SetXYZ(0.000000, 1.000000, 0.000000)
FirstPersonCameraUp = App.TGPoint3()
FirstPersonCameraUp.SetXYZ(0.000000, 0.000000, 1.000000)
FirstPersonCameraRight = App.TGPoint3()
FirstPersonCameraRight.SetXYZ(1.000000, 0.000000, 0.000000)
FirstPersonCamera.SetOrientation(FirstPersonCameraForward, FirstPersonCameraUp, FirstPersonCameraRight)
FirstPersonCameraPosition = App.TGPoint3()
FirstPersonCameraPosition.SetXYZ(0.070000, 2.200000, 0.100000)
FirstPersonCamera.SetPosition(FirstPersonCameraPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(FirstPersonCamera)
#################################################
Bridge = App.HullProperty_Create("Bridge")

Bridge.SetMaxCondition(8000.000000)
Bridge.SetCritical(1)
Bridge.SetTargetable(1)
Bridge.SetPrimary(0)
Bridge.SetPosition(0.004883, 0.445524, 0.325131)
Bridge.SetPosition2D(62.000000, 35.000000)
Bridge.SetRepairComplexity(4.000000)
Bridge.SetDisabledPercentage(0.750000)
Bridge.SetRadius(0.010000)
App.g_kModelPropertyManager.RegisterLocalTemplate(Bridge)
#################################################
DorsalPhaser1b = App.PhaserProperty_Create("Dorsal Phaser 1b")

DorsalPhaser1b.SetMaxCondition(800.000000)
DorsalPhaser1b.SetCritical(0)
DorsalPhaser1b.SetTargetable(1)
DorsalPhaser1b.SetPrimary(1)
DorsalPhaser1b.SetPosition(-0.333886, 0.478636, 0.194127)
DorsalPhaser1b.SetPosition2D(-2.000000, 25.000000)
DorsalPhaser1b.SetRepairComplexity(7.000000)
DorsalPhaser1b.SetDisabledPercentage(0.750000)
DorsalPhaser1b.SetRadius(0.050000)
DorsalPhaser1b.SetDumbfire(0)
DorsalPhaser1b.SetWeaponID(5)
DorsalPhaser1b.SetGroups(0)
DorsalPhaser1b.SetDamageRadiusFactor(0.150000)
DorsalPhaser1b.SetIconNum(340)
DorsalPhaser1b.SetIconPositionX(12.000000)
DorsalPhaser1b.SetIconPositionY(41.000000)
DorsalPhaser1b.SetIconAboveShip(1)
DorsalPhaser1b.SetFireSound("SFRD1_TMPPhaser")
DorsalPhaser1b.SetMaxCharge(5.000000)
DorsalPhaser1b.SetMaxDamage(425.000000)
DorsalPhaser1b.SetMaxDamageDistance(60.000000)
DorsalPhaser1b.SetMinFiringCharge(3.500000)
DorsalPhaser1b.SetNormalDischargeRate(1.000000)
DorsalPhaser1b.SetRechargeRate(0.080000)
DorsalPhaser1b.SetIndicatorIconNum(500)
DorsalPhaser1b.SetIndicatorIconPositionX(24.000000)
DorsalPhaser1b.SetIndicatorIconPositionY(52.000000)
DorsalPhaser1bForward = App.TGPoint3()
DorsalPhaser1bForward.SetXYZ(-1.000000, 0.000000, 0.000000)
DorsalPhaser1bUp = App.TGPoint3()
DorsalPhaser1bUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaser1b.SetOrientation(DorsalPhaser1bForward, DorsalPhaser1bUp)
DorsalPhaser1b.SetWidth(0.001000)
DorsalPhaser1b.SetLength(0.001000)
DorsalPhaser1b.SetArcWidthAngles(-0.785398, 0.785398)
DorsalPhaser1b.SetArcHeightAngles(-0.034907, 1.570796)
DorsalPhaser1b.SetPhaserTextureStart(0)
DorsalPhaser1b.SetPhaserTextureEnd(7)
DorsalPhaser1b.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
DorsalPhaser1b.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
DorsalPhaser1b.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
DorsalPhaser1b.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
DorsalPhaser1b.SetInnerCoreColor(kColor)
DorsalPhaser1b.SetNumSides(6)
DorsalPhaser1b.SetMainRadius(0.090000)
DorsalPhaser1b.SetTaperRadius(0.010000)
DorsalPhaser1b.SetCoreScale(0.500000)
DorsalPhaser1b.SetTaperRatio(0.250000)
DorsalPhaser1b.SetTaperMinLength(5.000000)
DorsalPhaser1b.SetTaperMaxLength(30.000000)
DorsalPhaser1b.SetLengthTextureTilePerUnit(0.050000)
DorsalPhaser1b.SetPerimeterTile(1.000000)
DorsalPhaser1b.SetTextureSpeed(5.000000)
DorsalPhaser1b.SetTextureName("data/SFRD_TMP1pulse.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaser1b)
#################################################
DorsalPhaser3b = App.PhaserProperty_Create("Dorsal Phaser 3b")

DorsalPhaser3b.SetMaxCondition(800.000000)
DorsalPhaser3b.SetCritical(0)
DorsalPhaser3b.SetTargetable(1)
DorsalPhaser3b.SetPrimary(1)
DorsalPhaser3b.SetPosition(0.327783, 0.478615, 0.191594)
DorsalPhaser3b.SetPosition2D(18.000000, 25.000000)
DorsalPhaser3b.SetRepairComplexity(7.000000)
DorsalPhaser3b.SetDisabledPercentage(0.750000)
DorsalPhaser3b.SetRadius(0.050000)
DorsalPhaser3b.SetDumbfire(0)
DorsalPhaser3b.SetWeaponID(8)
DorsalPhaser3b.SetGroups(0)
DorsalPhaser3b.SetDamageRadiusFactor(0.150000)
DorsalPhaser3b.SetIconNum(360)
DorsalPhaser3b.SetIconPositionX(111.000000)
DorsalPhaser3b.SetIconPositionY(41.000000)
DorsalPhaser3b.SetIconAboveShip(1)
DorsalPhaser3b.SetFireSound("SFRD1_TMPPhaser")
DorsalPhaser3b.SetMaxCharge(5.000000)
DorsalPhaser3b.SetMaxDamage(425.000000)
DorsalPhaser3b.SetMaxDamageDistance(60.000000)
DorsalPhaser3b.SetMinFiringCharge(3.500000)
DorsalPhaser3b.SetNormalDischargeRate(1.000000)
DorsalPhaser3b.SetRechargeRate(0.080000)
DorsalPhaser3b.SetIndicatorIconNum(503)
DorsalPhaser3b.SetIndicatorIconPositionX(95.000000)
DorsalPhaser3b.SetIndicatorIconPositionY(52.000000)
DorsalPhaser3bForward = App.TGPoint3()
DorsalPhaser3bForward.SetXYZ(1.000000, 0.000000, 0.000000)
DorsalPhaser3bUp = App.TGPoint3()
DorsalPhaser3bUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaser3b.SetOrientation(DorsalPhaser3bForward, DorsalPhaser3bUp)
DorsalPhaser3b.SetWidth(0.001000)
DorsalPhaser3b.SetLength(0.001000)
DorsalPhaser3b.SetArcWidthAngles(-0.785398, 0.785398)
DorsalPhaser3b.SetArcHeightAngles(-0.034907, 1.570796)
DorsalPhaser3b.SetPhaserTextureStart(0)
DorsalPhaser3b.SetPhaserTextureEnd(7)
DorsalPhaser3b.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
DorsalPhaser3b.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
DorsalPhaser3b.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
DorsalPhaser3b.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
DorsalPhaser3b.SetInnerCoreColor(kColor)
DorsalPhaser3b.SetNumSides(6)
DorsalPhaser3b.SetMainRadius(0.090000)
DorsalPhaser3b.SetTaperRadius(0.010000)
DorsalPhaser3b.SetCoreScale(0.500000)
DorsalPhaser3b.SetTaperRatio(0.250000)
DorsalPhaser3b.SetTaperMinLength(5.000000)
DorsalPhaser3b.SetTaperMaxLength(30.000000)
DorsalPhaser3b.SetLengthTextureTilePerUnit(0.050000)
DorsalPhaser3b.SetPerimeterTile(1.000000)
DorsalPhaser3b.SetTextureSpeed(5.000000)
DorsalPhaser3b.SetTextureName("data/SFRD_TMP1pulse.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaser3b)
#################################################
VentralPhaser1b = App.PhaserProperty_Create("Ventral Phaser 1b")

VentralPhaser1b.SetMaxCondition(800.000000)
VentralPhaser1b.SetCritical(0)
VentralPhaser1b.SetTargetable(1)
VentralPhaser1b.SetPrimary(1)
VentralPhaser1b.SetPosition(-0.279592, 0.461181, 0.056131)
VentralPhaser1b.SetPosition2D(-2.000000, 45.000000)
VentralPhaser1b.SetRepairComplexity(7.000000)
VentralPhaser1b.SetDisabledPercentage(0.750000)
VentralPhaser1b.SetRadius(0.050000)
VentralPhaser1b.SetDumbfire(0)
VentralPhaser1b.SetWeaponID(1)
VentralPhaser1b.SetGroups(0)
VentralPhaser1b.SetDamageRadiusFactor(0.150000)
VentralPhaser1b.SetIconNum(361)
VentralPhaser1b.SetIconPositionX(24.000000)
VentralPhaser1b.SetIconPositionY(61.000000)
VentralPhaser1b.SetIconAboveShip(0)
VentralPhaser1b.SetFireSound("SFRD1_TMPPhaser")
VentralPhaser1b.SetMaxCharge(5.000000)
VentralPhaser1b.SetMaxDamage(425.000000)
VentralPhaser1b.SetMaxDamageDistance(60.000000)
VentralPhaser1b.SetMinFiringCharge(3.500000)
VentralPhaser1b.SetNormalDischargeRate(1.000000)
VentralPhaser1b.SetRechargeRate(0.080000)
VentralPhaser1b.SetIndicatorIconNum(508)
VentralPhaser1b.SetIndicatorIconPositionX(22.000000)
VentralPhaser1b.SetIndicatorIconPositionY(61.000000)
VentralPhaser1bForward = App.TGPoint3()
VentralPhaser1bForward.SetXYZ(-1.000000, 0.000000, 0.000000)
VentralPhaser1bUp = App.TGPoint3()
VentralPhaser1bUp.SetXYZ(0.000000, 0.000000, 1.000000)
VentralPhaser1b.SetOrientation(VentralPhaser1bForward, VentralPhaser1bUp)
VentralPhaser1b.SetWidth(0.001000)
VentralPhaser1b.SetLength(0.001000)
VentralPhaser1b.SetArcWidthAngles(-0.785398, 0.174533)
VentralPhaser1b.SetArcHeightAngles(-0.087266, -1.570796)
VentralPhaser1b.SetPhaserTextureStart(0)
VentralPhaser1b.SetPhaserTextureEnd(7)
VentralPhaser1b.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
VentralPhaser1b.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
VentralPhaser1b.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
VentralPhaser1b.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
VentralPhaser1b.SetInnerCoreColor(kColor)
VentralPhaser1b.SetNumSides(6)
VentralPhaser1b.SetMainRadius(0.090000)
VentralPhaser1b.SetTaperRadius(0.010000)
VentralPhaser1b.SetCoreScale(0.500000)
VentralPhaser1b.SetTaperRatio(0.250000)
VentralPhaser1b.SetTaperMinLength(5.000000)
VentralPhaser1b.SetTaperMaxLength(30.000000)
VentralPhaser1b.SetLengthTextureTilePerUnit(0.050000)
VentralPhaser1b.SetPerimeterTile(1.000000)
VentralPhaser1b.SetTextureSpeed(5.000000)
VentralPhaser1b.SetTextureName("data/SFRD_TMP1pulse.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaser1b)
#################################################
VentralPhaser3b = App.PhaserProperty_Create("Ventral Phaser 3b")

VentralPhaser3b.SetMaxCondition(800.000000)
VentralPhaser3b.SetCritical(0)
VentralPhaser3b.SetTargetable(1)
VentralPhaser3b.SetPrimary(1)
VentralPhaser3b.SetPosition(0.278542, 0.482286, 0.056906)
VentralPhaser3b.SetPosition2D(18.000000, 45.000000)
VentralPhaser3b.SetRepairComplexity(7.000000)
VentralPhaser3b.SetDisabledPercentage(0.750000)
VentralPhaser3b.SetRadius(0.050000)
VentralPhaser3b.SetDumbfire(0)
VentralPhaser3b.SetWeaponID(4)
VentralPhaser3b.SetGroups(0)
VentralPhaser3b.SetDamageRadiusFactor(0.150000)
VentralPhaser3b.SetIconNum(362)
VentralPhaser3b.SetIconPositionX(118.000000)
VentralPhaser3b.SetIconPositionY(60.000000)
VentralPhaser3b.SetIconAboveShip(0)
VentralPhaser3b.SetFireSound("SFRD1_TMPPhaser")
VentralPhaser3b.SetMaxCharge(5.000000)
VentralPhaser3b.SetMaxDamage(425.000000)
VentralPhaser3b.SetMaxDamageDistance(60.000000)
VentralPhaser3b.SetMinFiringCharge(3.500000)
VentralPhaser3b.SetNormalDischargeRate(1.000000)
VentralPhaser3b.SetRechargeRate(0.080000)
VentralPhaser3b.SetIndicatorIconNum(509)
VentralPhaser3b.SetIndicatorIconPositionX(117.000000)
VentralPhaser3b.SetIndicatorIconPositionY(60.000000)
VentralPhaser3bForward = App.TGPoint3()
VentralPhaser3bForward.SetXYZ(1.000000, 0.000000, 0.000000)
VentralPhaser3bUp = App.TGPoint3()
VentralPhaser3bUp.SetXYZ(0.000000, 0.000000, -1.000000)
VentralPhaser3b.SetOrientation(VentralPhaser3bForward, VentralPhaser3bUp)
VentralPhaser3b.SetWidth(0.001000)
VentralPhaser3b.SetLength(0.001000)
VentralPhaser3b.SetArcWidthAngles(-0.785398, 0.174533)
VentralPhaser3b.SetArcHeightAngles(0.034907, 1.570796)
VentralPhaser3b.SetPhaserTextureStart(0)
VentralPhaser3b.SetPhaserTextureEnd(7)
VentralPhaser3b.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
VentralPhaser3b.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
VentralPhaser3b.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
VentralPhaser3b.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
VentralPhaser3b.SetInnerCoreColor(kColor)
VentralPhaser3b.SetNumSides(6)
VentralPhaser3b.SetMainRadius(0.090000)
VentralPhaser3b.SetTaperRadius(0.010000)
VentralPhaser3b.SetCoreScale(0.500000)
VentralPhaser3b.SetTaperRatio(0.250000)
VentralPhaser3b.SetTaperMinLength(5.000000)
VentralPhaser3b.SetTaperMaxLength(30.000000)
VentralPhaser3b.SetLengthTextureTilePerUnit(0.050000)
VentralPhaser3b.SetPerimeterTile(1.000000)
VentralPhaser3b.SetTextureSpeed(5.000000)
VentralPhaser3b.SetTextureName("data/SFRD_TMP1pulse.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaser3b)
#################################################
ShuttleBayOEP = App.ObjectEmitterProperty_Create("Shuttle Bay OEP")

ShuttleBayOEPForward = App.TGPoint3()
ShuttleBayOEPForward.SetXYZ(0.000000, -1.000000, 0.000000)
ShuttleBayOEPUp = App.TGPoint3()
ShuttleBayOEPUp.SetXYZ(0.000000, 0.000000, 1.000000)
ShuttleBayOEPRight = App.TGPoint3()
ShuttleBayOEPRight.SetXYZ(-1.000000, 0.000000, 0.000000)
ShuttleBayOEP.SetOrientation(ShuttleBayOEPForward, ShuttleBayOEPUp, ShuttleBayOEPRight)
ShuttleBayOEPPosition = App.TGPoint3()
ShuttleBayOEPPosition.SetXYZ(0.285180, -0.607267, 0.126887)
ShuttleBayOEP.SetPosition(ShuttleBayOEPPosition)
ShuttleBayOEP.SetEmittedObjectType(ShuttleBayOEP.OEP_SHUTTLE)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShuttleBayOEP)
#################################################
ShuttleBay = App.HullProperty_Create("Shuttle Bay")

ShuttleBay.SetMaxCondition(800.000000)
ShuttleBay.SetCritical(0)
ShuttleBay.SetTargetable(1)
ShuttleBay.SetPrimary(0)
ShuttleBay.SetPosition(0.285180, -0.607267, 0.126887)
ShuttleBay.SetPosition2D(77.000000, 86.000000)
ShuttleBay.SetRepairComplexity(5.000000)
ShuttleBay.SetDisabledPercentage(0.750000)
ShuttleBay.SetRadius(0.500000)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShuttleBay)
#################################################
ProbeLauncher = App.ObjectEmitterProperty_Create("Probe Launcher")

ProbeLauncherForward = App.TGPoint3()
ProbeLauncherForward.SetXYZ(0.000000, 1.000000, 0.000000)
ProbeLauncherUp = App.TGPoint3()
ProbeLauncherUp.SetXYZ(0.000000, 0.000000, 1.000000)
ProbeLauncherRight = App.TGPoint3()
ProbeLauncherRight.SetXYZ(1.000000, 0.000000, 0.000000)
ProbeLauncher.SetOrientation(ProbeLauncherForward, ProbeLauncherUp, ProbeLauncherRight)
ProbeLauncherPosition = App.TGPoint3()
ProbeLauncherPosition.SetXYZ(0.025152, 0.477352, -0.098559)
ProbeLauncher.SetPosition(ProbeLauncherPosition)
ProbeLauncher.SetEmittedObjectType(ProbeLauncher.OEP_PROBE)
App.g_kModelPropertyManager.RegisterLocalTemplate(ProbeLauncher)
#################################################
ShuttleBay1OEP = App.ObjectEmitterProperty_Create("Shuttle Bay 1 OEP")

ShuttleBay1OEPForward = App.TGPoint3()
ShuttleBay1OEPForward.SetXYZ(-0.467332, -0.884081, 0.001563)
ShuttleBay1OEPUp = App.TGPoint3()
ShuttleBay1OEPUp.SetXYZ(0.093330, 0.047576, 0.994498)
ShuttleBay1OEPRight = App.TGPoint3()
ShuttleBay1OEPRight.SetXYZ(-0.879142, -0.464907, 0.104745)
ShuttleBay1OEP.SetOrientation(ShuttleBay1OEPForward, ShuttleBay1OEPUp, ShuttleBay1OEPRight)
ShuttleBay1OEPPosition = App.TGPoint3()
ShuttleBay1OEPPosition.SetXYZ(-0.298652, -0.607013, 0.135586)
ShuttleBay1OEP.SetPosition(ShuttleBay1OEPPosition)
ShuttleBay1OEP.SetEmittedObjectType(ShuttleBay1OEP.OEP_SHUTTLE)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShuttleBay1OEP)
#################################################
ShuttleBay1 = App.HullProperty_Create("Shuttle Bay 1")

ShuttleBay1.SetMaxCondition(1000.000000)
ShuttleBay1.SetCritical(0)
ShuttleBay1.SetTargetable(1)
ShuttleBay1.SetPrimary(0)
ShuttleBay1.SetPosition(-0.298652, -0.607013, 0.135586)
ShuttleBay1.SetPosition2D(46.000000, 86.000000)
ShuttleBay1.SetRepairComplexity(4.000000)
ShuttleBay1.SetDisabledPercentage(0.000000)
ShuttleBay1.SetRadius(0.500000)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShuttleBay1)
#################################################
ShuttleBay3OEP = App.ObjectEmitterProperty_Create("Shuttle Bay 3 OEP")

ShuttleBay3OEPForward = App.TGPoint3()
ShuttleBay3OEPForward.SetXYZ(0.000000, -1.000000, 0.000000)
ShuttleBay3OEPUp = App.TGPoint3()
ShuttleBay3OEPUp.SetXYZ(0.000000, 0.000000, 1.000000)
ShuttleBay3OEPRight = App.TGPoint3()
ShuttleBay3OEPRight.SetXYZ(-1.000000, 0.000000, 0.000000)
ShuttleBay3OEP.SetOrientation(ShuttleBay3OEPForward, ShuttleBay3OEPUp, ShuttleBay3OEPRight)
ShuttleBay3OEPPosition = App.TGPoint3()
ShuttleBay3OEPPosition.SetXYZ(0.003846, -1.244450, 0.214477)
ShuttleBay3OEP.SetPosition(ShuttleBay3OEPPosition)
ShuttleBay3OEP.SetEmittedObjectType(ShuttleBay3OEP.OEP_SHUTTLE)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShuttleBay3OEP)
#################################################
ShuttleBay3 = App.HullProperty_Create("Shuttle Bay 3")

ShuttleBay3.SetMaxCondition(800.000000)
ShuttleBay3.SetCritical(0)
ShuttleBay3.SetTargetable(1)
ShuttleBay3.SetPrimary(0)
ShuttleBay3.SetPosition(0.003846, -1.244450, 0.214477)
ShuttleBay3.SetPosition2D(62.000000, 110.000000)
ShuttleBay3.SetRepairComplexity(5.000000)
ShuttleBay3.SetDisabledPercentage(0.750000)
ShuttleBay3.SetRadius(0.500000)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShuttleBay3)
#################################################
PulsePhasers = App.WeaponSystemProperty_Create("Pulse Phasers")

PulsePhasers.SetMaxCondition(3000.000000)
PulsePhasers.SetCritical(0)
PulsePhasers.SetTargetable(0)
PulsePhasers.SetPrimary(1)
PulsePhasers.SetPosition(0.010892, -0.452784, 0.323559)
PulsePhasers.SetPosition2D(64.000000, 44.000000)
PulsePhasers.SetRepairComplexity(9.000000)
PulsePhasers.SetDisabledPercentage(0.750000)
PulsePhasers.SetRadius(0.050000)
PulsePhasers.SetNormalPowerPerSecond(80.000000)
PulsePhasers.SetWeaponSystemType(PulsePhasers.WST_PULSE)
PulsePhasers.SetSingleFire(0)
PulsePhasers.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
PulsePhasers.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(PulsePhasers)
#################################################
PortCannondor = App.PulseWeaponProperty_Create("Port Cannon dor")

PortCannondor.SetMaxCondition(2000.000000)
PortCannondor.SetCritical(0)
PortCannondor.SetTargetable(1)
PortCannondor.SetPrimary(1)
PortCannondor.SetPosition(-0.044510, -0.597832, 0.453120)
PortCannondor.SetPosition2D(11.000000, 85.000000)
PortCannondor.SetRepairComplexity(4.000000)
PortCannondor.SetDisabledPercentage(0.750000)
PortCannondor.SetRadius(0.020000)
PortCannondor.SetDumbfire(1)
PortCannondor.SetWeaponID(2)
PortCannondor.SetGroups(1)
PortCannondor.SetDamageRadiusFactor(0.100000)
PortCannondor.SetIconNum(365)
PortCannondor.SetIconPositionX(80.000000)
PortCannondor.SetIconPositionY(74.000000)
PortCannondor.SetIconAboveShip(1)
PortCannondor.SetFireSound("SFRD_NXmirPulse")
PortCannondor.SetMaxCharge(30.000000)
PortCannondor.SetMaxDamage(10.000000)
PortCannondor.SetMaxDamageDistance(150.000000)
PortCannondor.SetMinFiringCharge(3.000000)
PortCannondor.SetNormalDischargeRate(1.000000)
PortCannondor.SetRechargeRate(0.000000)
PortCannondor.SetIndicatorIconNum(0)
PortCannondor.SetIndicatorIconPositionX(82.000000)
PortCannondor.SetIndicatorIconPositionY(78.000000)
PortCannondorForward = App.TGPoint3()
PortCannondorForward.SetXYZ(0.000000, 1.000000, 0.000000)
PortCannondorUp = App.TGPoint3()
PortCannondorUp.SetXYZ(0.000000, 0.000000, 1.000000)
PortCannondor.SetOrientation(PortCannondorForward, PortCannondorUp)
PortCannondor.SetArcWidthAngles(-0.174533, 0.349066)
PortCannondor.SetArcHeightAngles(-0.174533, 0.349066)
PortCannondor.SetCooldownTime(0.000100)
PortCannondor.SetModuleName("Tactical.Projectiles.SFRD_NXmirPulse")
App.g_kModelPropertyManager.RegisterLocalTemplate(PortCannondor)
#################################################
StarCannondor = App.PulseWeaponProperty_Create("Star Cannon dor")

StarCannondor.SetMaxCondition(2000.000000)
StarCannondor.SetCritical(0)
StarCannondor.SetTargetable(1)
StarCannondor.SetPrimary(1)
StarCannondor.SetPosition(0.035129, -0.597832, 0.452458)
StarCannondor.SetPosition2D(-9.000000, 85.000000)
StarCannondor.SetRepairComplexity(4.000000)
StarCannondor.SetDisabledPercentage(0.750000)
StarCannondor.SetRadius(0.020000)
StarCannondor.SetDumbfire(1)
StarCannondor.SetWeaponID(2)
StarCannondor.SetGroups(1)
StarCannondor.SetDamageRadiusFactor(0.100000)
StarCannondor.SetIconNum(365)
StarCannondor.SetIconPositionX(72.000000)
StarCannondor.SetIconPositionY(74.000000)
StarCannondor.SetIconAboveShip(1)
StarCannondor.SetFireSound("SFRD_NXmirPulse")
StarCannondor.SetMaxCharge(30.000000)
StarCannondor.SetMaxDamage(10.000000)
StarCannondor.SetMaxDamageDistance(150.000000)
StarCannondor.SetMinFiringCharge(3.000000)
StarCannondor.SetNormalDischargeRate(1.000000)
StarCannondor.SetRechargeRate(0.000000)
StarCannondor.SetIndicatorIconNum(0)
StarCannondor.SetIndicatorIconPositionX(74.000000)
StarCannondor.SetIndicatorIconPositionY(78.000000)
StarCannondorForward = App.TGPoint3()
StarCannondorForward.SetXYZ(0.000000, 1.000000, 0.000000)
StarCannondorUp = App.TGPoint3()
StarCannondorUp.SetXYZ(0.000000, 0.000000, 1.000000)
StarCannondor.SetOrientation(StarCannondorForward, StarCannondorUp)
StarCannondor.SetArcWidthAngles(-0.436332, 0.436332)
StarCannondor.SetArcHeightAngles(-0.349066, 0.226893)
StarCannondor.SetCooldownTime(0.000100)
StarCannondor.SetModuleName("Tactical.Projectiles.SFRD_NXmirPulse")
App.g_kModelPropertyManager.RegisterLocalTemplate(StarCannondor)
#################################################
prtmegafore = App.PhaserProperty_Create("prt mega fore")

prtmegafore.SetMaxCondition(800.000000)
prtmegafore.SetCritical(0)
prtmegafore.SetTargetable(1)
prtmegafore.SetPrimary(1)
prtmegafore.SetPosition(-0.048538, 0.674381, -0.011106)
prtmegafore.SetPosition2D(-2.000000, 10.000000)
prtmegafore.SetRepairComplexity(7.000000)
prtmegafore.SetDisabledPercentage(0.750000)
prtmegafore.SetRadius(0.050000)
prtmegafore.SetDumbfire(0)
prtmegafore.SetWeaponID(6)
prtmegafore.SetGroups(0)
prtmegafore.SetDamageRadiusFactor(0.150000)
prtmegafore.SetIconNum(364)
prtmegafore.SetIconPositionX(50.000000)
prtmegafore.SetIconPositionY(37.000000)
prtmegafore.SetIconAboveShip(1)
prtmegafore.SetFireSound("SFRD_TMPphasercann")
prtmegafore.SetMaxCharge(5.000000)
prtmegafore.SetMaxDamage(620.000000)
prtmegafore.SetMaxDamageDistance(60.000000)
prtmegafore.SetMinFiringCharge(3.500000)
prtmegafore.SetNormalDischargeRate(3.000000)
prtmegafore.SetRechargeRate(0.080000)
prtmegafore.SetIndicatorIconNum(510)
prtmegafore.SetIndicatorIconPositionX(46.000000)
prtmegafore.SetIndicatorIconPositionY(32.000000)
prtmegaforeForward = App.TGPoint3()
prtmegaforeForward.SetXYZ(0.000000, 1.000000, 0.000000)
prtmegaforeUp = App.TGPoint3()
prtmegaforeUp.SetXYZ(0.000000, 0.000000, 1.000000)
prtmegafore.SetOrientation(prtmegaforeForward, prtmegaforeUp)
prtmegafore.SetWidth(0.001000)
prtmegafore.SetLength(0.001000)
prtmegafore.SetArcWidthAngles(-0.785398, 0.785398)
prtmegafore.SetArcHeightAngles(0.174533, -1.570796)
prtmegafore.SetPhaserTextureStart(0)
prtmegafore.SetPhaserTextureEnd(7)
prtmegafore.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
prtmegafore.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
prtmegafore.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
prtmegafore.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
prtmegafore.SetInnerCoreColor(kColor)
prtmegafore.SetNumSides(6)
prtmegafore.SetMainRadius(0.090000)
prtmegafore.SetTaperRadius(0.010000)
prtmegafore.SetCoreScale(0.500000)
prtmegafore.SetTaperRatio(0.250000)
prtmegafore.SetTaperMinLength(5.000000)
prtmegafore.SetTaperMaxLength(30.000000)
prtmegafore.SetLengthTextureTilePerUnit(0.050000)
prtmegafore.SetPerimeterTile(1.000000)
prtmegafore.SetTextureSpeed(5.000000)
prtmegafore.SetTextureName("data/SFRD_TMPphasercann.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(prtmegafore)
#################################################
strmegafore = App.PhaserProperty_Create("str mega fore")

strmegafore.SetMaxCondition(800.000000)
strmegafore.SetCritical(0)
strmegafore.SetTargetable(1)
strmegafore.SetPrimary(1)
strmegafore.SetPosition(0.053988, 0.674381, -0.011103)
strmegafore.SetPosition2D(10.000000, 10.000000)
strmegafore.SetRepairComplexity(7.000000)
strmegafore.SetDisabledPercentage(0.750000)
strmegafore.SetRadius(0.050000)
strmegafore.SetDumbfire(0)
strmegafore.SetWeaponID(7)
strmegafore.SetGroups(0)
strmegafore.SetDamageRadiusFactor(0.150000)
strmegafore.SetIconNum(364)
strmegafore.SetIconPositionX(76.000000)
strmegafore.SetIconPositionY(36.000000)
strmegafore.SetIconAboveShip(1)
strmegafore.SetFireSound("SFRD_TMPphasercann")
strmegafore.SetMaxCharge(5.000000)
strmegafore.SetMaxDamage(620.000000)
strmegafore.SetMaxDamageDistance(60.000000)
strmegafore.SetMinFiringCharge(3.500000)
strmegafore.SetNormalDischargeRate(3.000000)
strmegafore.SetRechargeRate(0.080000)
strmegafore.SetIndicatorIconNum(510)
strmegafore.SetIndicatorIconPositionX(72.000000)
strmegafore.SetIndicatorIconPositionY(31.000000)
strmegaforeForward = App.TGPoint3()
strmegaforeForward.SetXYZ(0.000000, 1.000000, 0.000000)
strmegaforeUp = App.TGPoint3()
strmegaforeUp.SetXYZ(0.000000, 0.000000, 1.000000)
strmegafore.SetOrientation(strmegaforeForward, strmegaforeUp)
strmegafore.SetWidth(0.001000)
strmegafore.SetLength(0.001000)
strmegafore.SetArcWidthAngles(-0.785398, 0.785398)
strmegafore.SetArcHeightAngles(0.174533, -1.570796)
strmegafore.SetPhaserTextureStart(0)
strmegafore.SetPhaserTextureEnd(7)
strmegafore.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
strmegafore.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
strmegafore.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
strmegafore.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
strmegafore.SetInnerCoreColor(kColor)
strmegafore.SetNumSides(6)
strmegafore.SetMainRadius(0.090000)
strmegafore.SetTaperRadius(0.010000)
strmegafore.SetCoreScale(0.500000)
strmegafore.SetTaperRatio(0.250000)
strmegafore.SetTaperMinLength(5.000000)
strmegafore.SetTaperMaxLength(30.000000)
strmegafore.SetLengthTextureTilePerUnit(0.050000)
strmegafore.SetPerimeterTile(1.000000)
strmegafore.SetTextureSpeed(5.000000)
strmegafore.SetTextureName("data/SFRD_TMPphasercann.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(strmegafore)
#################################################
CenterCannonDorsal = App.PulseWeaponProperty_Create("Center Cannon Dorsal")

CenterCannonDorsal.SetMaxCondition(2000.000000)
CenterCannonDorsal.SetCritical(0)
CenterCannonDorsal.SetTargetable(1)
CenterCannonDorsal.SetPrimary(1)
CenterCannonDorsal.SetPosition(0.001512, -0.576256, 0.451565)
CenterCannonDorsal.SetPosition2D(1.000000, 85.000000)
CenterCannonDorsal.SetRepairComplexity(4.000000)
CenterCannonDorsal.SetDisabledPercentage(0.750000)
CenterCannonDorsal.SetRadius(0.020000)
CenterCannonDorsal.SetDumbfire(1)
CenterCannonDorsal.SetWeaponID(2)
CenterCannonDorsal.SetGroups(1)
CenterCannonDorsal.SetDamageRadiusFactor(0.100000)
CenterCannonDorsal.SetIconNum(365)
CenterCannonDorsal.SetIconPositionX(75.000000)
CenterCannonDorsal.SetIconPositionY(68.000000)
CenterCannonDorsal.SetIconAboveShip(1)
CenterCannonDorsal.SetFireSound("SFRD_NXmirPulse")
CenterCannonDorsal.SetMaxCharge(30.000000)
CenterCannonDorsal.SetMaxDamage(10.000000)
CenterCannonDorsal.SetMaxDamageDistance(150.000000)
CenterCannonDorsal.SetMinFiringCharge(3.000000)
CenterCannonDorsal.SetNormalDischargeRate(1.000000)
CenterCannonDorsal.SetRechargeRate(0.000000)
CenterCannonDorsal.SetIndicatorIconNum(0)
CenterCannonDorsal.SetIndicatorIconPositionX(77.000000)
CenterCannonDorsal.SetIndicatorIconPositionY(72.000000)
CenterCannonDorsalForward = App.TGPoint3()
CenterCannonDorsalForward.SetXYZ(0.139181, 0.990119, 0.017132)
CenterCannonDorsalUp = App.TGPoint3()
CenterCannonDorsalUp.SetXYZ(0.000913, -0.017428, 0.999848)
CenterCannonDorsal.SetOrientation(CenterCannonDorsalForward, CenterCannonDorsalUp)
CenterCannonDorsal.SetArcWidthAngles(-0.174533, 0.349066)
CenterCannonDorsal.SetArcHeightAngles(-0.174533, 0.349066)
CenterCannonDorsal.SetCooldownTime(0.000100)
CenterCannonDorsal.SetModuleName("Tactical.Projectiles.SFRD_NXmirPulse")
App.g_kModelPropertyManager.RegisterLocalTemplate(CenterCannonDorsal)
#################################################
Prtcannvent = App.PulseWeaponProperty_Create("Prt cann vent")

Prtcannvent.SetMaxCondition(2000.000000)
Prtcannvent.SetCritical(0)
Prtcannvent.SetTargetable(1)
Prtcannvent.SetPrimary(1)
Prtcannvent.SetPosition(-0.039499, -0.597832, -0.096043)
Prtcannvent.SetPosition2D(12.000000, 67.000000)
Prtcannvent.SetRepairComplexity(4.000000)
Prtcannvent.SetDisabledPercentage(0.750000)
Prtcannvent.SetRadius(0.020000)
Prtcannvent.SetDumbfire(1)
Prtcannvent.SetWeaponID(2)
Prtcannvent.SetGroups(1)
Prtcannvent.SetDamageRadiusFactor(0.100000)
Prtcannvent.SetIconNum(365)
Prtcannvent.SetIconPositionX(86.000000)
Prtcannvent.SetIconPositionY(56.000000)
Prtcannvent.SetIconAboveShip(1)
Prtcannvent.SetFireSound("SFRD_NXmirPulse")
Prtcannvent.SetMaxCharge(30.000000)
Prtcannvent.SetMaxDamage(10.000000)
Prtcannvent.SetMaxDamageDistance(150.000000)
Prtcannvent.SetMinFiringCharge(3.000000)
Prtcannvent.SetNormalDischargeRate(1.000000)
Prtcannvent.SetRechargeRate(0.000000)
Prtcannvent.SetIndicatorIconNum(365)
Prtcannvent.SetIndicatorIconPositionX(88.000000)
Prtcannvent.SetIndicatorIconPositionY(60.000000)
PrtcannventForward = App.TGPoint3()
PrtcannventForward.SetXYZ(0.000000, 1.000000, 0.000000)
PrtcannventUp = App.TGPoint3()
PrtcannventUp.SetXYZ(0.000000, 0.000000, 1.000000)
Prtcannvent.SetOrientation(PrtcannventForward, PrtcannventUp)
Prtcannvent.SetArcWidthAngles(-0.174533, 0.349066)
Prtcannvent.SetArcHeightAngles(-0.174533, 0.034907)
Prtcannvent.SetCooldownTime(0.005000)
Prtcannvent.SetModuleName("Tactical.Projectiles.SFRD_NXmirPulse")
App.g_kModelPropertyManager.RegisterLocalTemplate(Prtcannvent)
#################################################
starcannvent = App.PulseWeaponProperty_Create("star cann vent")

starcannvent.SetMaxCondition(2000.000000)
starcannvent.SetCritical(0)
starcannvent.SetTargetable(1)
starcannvent.SetPrimary(1)
starcannvent.SetPosition(0.033478, -0.597832, -0.089816)
starcannvent.SetPosition2D(-9.000000, 67.000000)
starcannvent.SetRepairComplexity(4.000000)
starcannvent.SetDisabledPercentage(0.750000)
starcannvent.SetRadius(0.020000)
starcannvent.SetDumbfire(1)
starcannvent.SetWeaponID(2)
starcannvent.SetGroups(1)
starcannvent.SetDamageRadiusFactor(0.100000)
starcannvent.SetIconNum(365)
starcannvent.SetIconPositionX(71.000000)
starcannvent.SetIconPositionY(56.000000)
starcannvent.SetIconAboveShip(1)
starcannvent.SetFireSound("SFRD_NXmirPulse")
starcannvent.SetMaxCharge(30.000000)
starcannvent.SetMaxDamage(10.000000)
starcannvent.SetMaxDamageDistance(150.000000)
starcannvent.SetMinFiringCharge(3.000000)
starcannvent.SetNormalDischargeRate(1.000000)
starcannvent.SetRechargeRate(0.000000)
starcannvent.SetIndicatorIconNum(365)
starcannvent.SetIndicatorIconPositionX(73.000000)
starcannvent.SetIndicatorIconPositionY(60.000000)
starcannventForward = App.TGPoint3()
starcannventForward.SetXYZ(0.000000, 1.000000, 0.000000)
starcannventUp = App.TGPoint3()
starcannventUp.SetXYZ(0.000000, 0.000000, 1.000000)
starcannvent.SetOrientation(starcannventForward, starcannventUp)
starcannvent.SetArcWidthAngles(-0.436332, 0.436332)
starcannvent.SetArcHeightAngles(-0.349066, 0.034907)
starcannvent.SetCooldownTime(0.005000)
starcannvent.SetModuleName("Tactical.Projectiles.SFRD_NXmirPulse")
App.g_kModelPropertyManager.RegisterLocalTemplate(starcannvent)
#################################################
centcannvent = App.PulseWeaponProperty_Create("cent cann vent")

centcannvent.SetMaxCondition(2000.000000)
centcannvent.SetCritical(0)
centcannvent.SetTargetable(1)
centcannvent.SetPrimary(1)
centcannvent.SetPosition(-0.001070, -0.576256, -0.093604)
centcannvent.SetPosition2D(1.000000, 67.000000)
centcannvent.SetRepairComplexity(4.000000)
centcannvent.SetDisabledPercentage(0.750000)
centcannvent.SetRadius(0.020000)
centcannvent.SetDumbfire(1)
centcannvent.SetWeaponID(2)
centcannvent.SetGroups(1)
centcannvent.SetDamageRadiusFactor(0.100000)
centcannvent.SetIconNum(365)
centcannvent.SetIconPositionX(78.000000)
centcannvent.SetIconPositionY(52.000000)
centcannvent.SetIconAboveShip(1)
centcannvent.SetFireSound("SFRD_NXmirPulse")
centcannvent.SetMaxCharge(30.000000)
centcannvent.SetMaxDamage(10.000000)
centcannvent.SetMaxDamageDistance(150.000000)
centcannvent.SetMinFiringCharge(3.000000)
centcannvent.SetNormalDischargeRate(1.000000)
centcannvent.SetRechargeRate(0.000000)
centcannvent.SetIndicatorIconNum(365)
centcannvent.SetIndicatorIconPositionX(80.000000)
centcannvent.SetIndicatorIconPositionY(56.000000)
centcannventForward = App.TGPoint3()
centcannventForward.SetXYZ(0.139181, 0.990119, 0.017132)
centcannventUp = App.TGPoint3()
centcannventUp.SetXYZ(0.000913, -0.017428, 0.999848)
centcannvent.SetOrientation(centcannventForward, centcannventUp)
centcannvent.SetArcWidthAngles(-0.174533, 0.349066)
centcannvent.SetArcHeightAngles(-0.174533, 0.034907)
centcannvent.SetCooldownTime(0.005000)
centcannvent.SetModuleName("Tactical.Projectiles.SFRD_NXmirPulse")
App.g_kModelPropertyManager.RegisterLocalTemplate(centcannvent)
#################################################
topcannprt = App.PulseWeaponProperty_Create("top cann prt")

topcannprt.SetMaxCondition(2000.000000)
topcannprt.SetCritical(0)
topcannprt.SetTargetable(1)
topcannprt.SetPrimary(1)
topcannprt.SetPosition(-0.842708, 0.352339, 0.190408)
topcannprt.SetPosition2D(11.000000, 102.000000)
topcannprt.SetRepairComplexity(4.000000)
topcannprt.SetDisabledPercentage(0.750000)
topcannprt.SetRadius(0.020000)
topcannprt.SetDumbfire(1)
topcannprt.SetWeaponID(2)
topcannprt.SetGroups(1)
topcannprt.SetDamageRadiusFactor(0.100000)
topcannprt.SetIconNum(365)
topcannprt.SetIconPositionX(102.000000)
topcannprt.SetIconPositionY(65.000000)
topcannprt.SetIconAboveShip(1)
topcannprt.SetFireSound("SFRD_NXmirPulse")
topcannprt.SetMaxCharge(30.000000)
topcannprt.SetMaxDamage(10.000000)
topcannprt.SetMaxDamageDistance(150.000000)
topcannprt.SetMinFiringCharge(3.000000)
topcannprt.SetNormalDischargeRate(1.000000)
topcannprt.SetRechargeRate(0.000000)
topcannprt.SetIndicatorIconNum(0)
topcannprt.SetIndicatorIconPositionX(104.000000)
topcannprt.SetIndicatorIconPositionY(69.000000)
topcannprtForward = App.TGPoint3()
topcannprtForward.SetXYZ(0.000000, 1.000000, 0.000000)
topcannprtUp = App.TGPoint3()
topcannprtUp.SetXYZ(0.000000, 0.000000, 1.000000)
topcannprt.SetOrientation(topcannprtForward, topcannprtUp)
topcannprt.SetArcWidthAngles(-0.174533, 0.349066)
topcannprt.SetArcHeightAngles(-0.174533, 0.349066)
topcannprt.SetCooldownTime(0.050000)
topcannprt.SetModuleName("Tactical.Projectiles.SFRD_NXmirPulse")
App.g_kModelPropertyManager.RegisterLocalTemplate(topcannprt)
#################################################
bottcannprt = App.PulseWeaponProperty_Create("bott cann prt")

bottcannprt.SetMaxCondition(2000.000000)
bottcannprt.SetCritical(0)
bottcannprt.SetTargetable(1)
bottcannprt.SetPrimary(1)
bottcannprt.SetPosition(-0.838652, 0.352339, 0.111575)
bottcannprt.SetPosition2D(-9.000000, 102.000000)
bottcannprt.SetRepairComplexity(4.000000)
bottcannprt.SetDisabledPercentage(0.750000)
bottcannprt.SetRadius(0.020000)
bottcannprt.SetDumbfire(1)
bottcannprt.SetWeaponID(2)
bottcannprt.SetGroups(1)
bottcannprt.SetDamageRadiusFactor(0.100000)
bottcannprt.SetIconNum(365)
bottcannprt.SetIconPositionX(102.000000)
bottcannprt.SetIconPositionY(71.000000)
bottcannprt.SetIconAboveShip(1)
bottcannprt.SetFireSound("SFRD_NXmirPulse")
bottcannprt.SetMaxCharge(30.000000)
bottcannprt.SetMaxDamage(10.000000)
bottcannprt.SetMaxDamageDistance(150.000000)
bottcannprt.SetMinFiringCharge(3.000000)
bottcannprt.SetNormalDischargeRate(1.000000)
bottcannprt.SetRechargeRate(0.000000)
bottcannprt.SetIndicatorIconNum(0)
bottcannprt.SetIndicatorIconPositionX(104.000000)
bottcannprt.SetIndicatorIconPositionY(75.000000)
bottcannprtForward = App.TGPoint3()
bottcannprtForward.SetXYZ(0.000000, 1.000000, 0.000000)
bottcannprtUp = App.TGPoint3()
bottcannprtUp.SetXYZ(0.000000, 0.000000, 1.000000)
bottcannprt.SetOrientation(bottcannprtForward, bottcannprtUp)
bottcannprt.SetArcWidthAngles(-0.349066, 0.436332)
bottcannprt.SetArcHeightAngles(-0.349066, 0.349066)
bottcannprt.SetCooldownTime(0.050000)
bottcannprt.SetModuleName("Tactical.Projectiles.SFRD_NXmirPulse")
App.g_kModelPropertyManager.RegisterLocalTemplate(bottcannprt)
#################################################
centcannprt = App.PulseWeaponProperty_Create("cent cann prt")

centcannprt.SetMaxCondition(2000.000000)
centcannprt.SetCritical(0)
centcannprt.SetTargetable(1)
centcannprt.SetPrimary(1)
centcannprt.SetPosition(-0.840864, 0.373915, 0.150377)
centcannprt.SetPosition2D(1.000000, 102.000000)
centcannprt.SetRepairComplexity(4.000000)
centcannprt.SetDisabledPercentage(0.750000)
centcannprt.SetRadius(0.020000)
centcannprt.SetDumbfire(1)
centcannprt.SetWeaponID(2)
centcannprt.SetGroups(1)
centcannprt.SetDamageRadiusFactor(0.100000)
centcannprt.SetIconNum(365)
centcannprt.SetIconPositionX(107.000000)
centcannprt.SetIconPositionY(68.000000)
centcannprt.SetIconAboveShip(1)
centcannprt.SetFireSound("SFRD_NXmirPulse")
centcannprt.SetMaxCharge(30.000000)
centcannprt.SetMaxDamage(10.000000)
centcannprt.SetMaxDamageDistance(150.000000)
centcannprt.SetMinFiringCharge(3.000000)
centcannprt.SetNormalDischargeRate(1.000000)
centcannprt.SetRechargeRate(0.000000)
centcannprt.SetIndicatorIconNum(365)
centcannprt.SetIndicatorIconPositionX(109.000000)
centcannprt.SetIndicatorIconPositionY(72.000000)
centcannprtForward = App.TGPoint3()
centcannprtForward.SetXYZ(0.139181, 0.990119, 0.017132)
centcannprtUp = App.TGPoint3()
centcannprtUp.SetXYZ(0.000913, -0.017428, 0.999848)
centcannprt.SetOrientation(centcannprtForward, centcannprtUp)
centcannprt.SetArcWidthAngles(-0.174533, 0.349066)
centcannprt.SetArcHeightAngles(-0.174533, 0.349066)
centcannprt.SetCooldownTime(0.050000)
centcannprt.SetModuleName("Tactical.Projectiles.SFRD_NXmirPulse")
App.g_kModelPropertyManager.RegisterLocalTemplate(centcannprt)
#################################################
topcannstar = App.PulseWeaponProperty_Create("top cann star")

topcannstar.SetMaxCondition(2000.000000)
topcannstar.SetCritical(0)
topcannstar.SetTargetable(1)
topcannstar.SetPrimary(1)
topcannstar.SetPosition(0.824774, 0.352339, 0.187445)
topcannstar.SetPosition2D(11.000000, 117.000000)
topcannstar.SetRepairComplexity(4.000000)
topcannstar.SetDisabledPercentage(0.750000)
topcannstar.SetRadius(0.020000)
topcannstar.SetDumbfire(1)
topcannstar.SetWeaponID(2)
topcannstar.SetGroups(1)
topcannstar.SetDamageRadiusFactor(0.100000)
topcannstar.SetIconNum(365)
topcannstar.SetIconPositionX(54.000000)
topcannstar.SetIconPositionY(65.000000)
topcannstar.SetIconAboveShip(1)
topcannstar.SetFireSound("SFRD_NXmirPulse")
topcannstar.SetMaxCharge(30.000000)
topcannstar.SetMaxDamage(10.000000)
topcannstar.SetMaxDamageDistance(150.000000)
topcannstar.SetMinFiringCharge(3.000000)
topcannstar.SetNormalDischargeRate(1.000000)
topcannstar.SetRechargeRate(0.000000)
topcannstar.SetIndicatorIconNum(365)
topcannstar.SetIndicatorIconPositionX(56.000000)
topcannstar.SetIndicatorIconPositionY(69.000000)
topcannstarForward = App.TGPoint3()
topcannstarForward.SetXYZ(0.139173, 0.990268, 0.000000)
topcannstarUp = App.TGPoint3()
topcannstarUp.SetXYZ(0.000000, 0.000000, 1.000000)
topcannstar.SetOrientation(topcannstarForward, topcannstarUp)
topcannstar.SetArcWidthAngles(-0.174533, 0.349066)
topcannstar.SetArcHeightAngles(-0.174533, 0.349066)
topcannstar.SetCooldownTime(0.050000)
topcannstar.SetModuleName("Tactical.Projectiles.SFRD_NXmirPulse")
App.g_kModelPropertyManager.RegisterLocalTemplate(topcannstar)
#################################################
bottcannstar = App.PulseWeaponProperty_Create("bott cann star")

bottcannstar.SetMaxCondition(2000.000000)
bottcannstar.SetCritical(0)
bottcannstar.SetTargetable(1)
bottcannstar.SetPrimary(1)
bottcannstar.SetPosition(0.828555, 0.352339, 0.111178)
bottcannstar.SetPosition2D(-9.000000, 117.000000)
bottcannstar.SetRepairComplexity(4.000000)
bottcannstar.SetDisabledPercentage(0.750000)
bottcannstar.SetRadius(0.020000)
bottcannstar.SetDumbfire(1)
bottcannstar.SetWeaponID(2)
bottcannstar.SetGroups(1)
bottcannstar.SetDamageRadiusFactor(0.100000)
bottcannstar.SetIconNum(365)
bottcannstar.SetIconPositionX(54.000000)
bottcannstar.SetIconPositionY(72.000000)
bottcannstar.SetIconAboveShip(1)
bottcannstar.SetFireSound("SFRD_NXmirPulse")
bottcannstar.SetMaxCharge(30.000000)
bottcannstar.SetMaxDamage(10.000000)
bottcannstar.SetMaxDamageDistance(150.000000)
bottcannstar.SetMinFiringCharge(3.000000)
bottcannstar.SetNormalDischargeRate(1.000000)
bottcannstar.SetRechargeRate(0.000000)
bottcannstar.SetIndicatorIconNum(365)
bottcannstar.SetIndicatorIconPositionX(56.000000)
bottcannstar.SetIndicatorIconPositionY(76.000000)
bottcannstarForward = App.TGPoint3()
bottcannstarForward.SetXYZ(0.207912, 0.978148, 0.000000)
bottcannstarUp = App.TGPoint3()
bottcannstarUp.SetXYZ(0.000000, 0.000000, 1.000000)
bottcannstar.SetOrientation(bottcannstarForward, bottcannstarUp)
bottcannstar.SetArcWidthAngles(-0.349066, 0.436332)
bottcannstar.SetArcHeightAngles(-0.349066, 0.349066)
bottcannstar.SetCooldownTime(0.050000)
bottcannstar.SetModuleName("Tactical.Projectiles.SFRD_NXmirPulse")
App.g_kModelPropertyManager.RegisterLocalTemplate(bottcannstar)
#################################################
centcannstar = App.PulseWeaponProperty_Create("cent cann star")

centcannstar.SetMaxCondition(2000.000000)
centcannstar.SetCritical(0)
centcannstar.SetTargetable(1)
centcannstar.SetPrimary(1)
centcannstar.SetPosition(0.827578, 0.373915, 0.150898)
centcannstar.SetPosition2D(1.000000, 117.000000)
centcannstar.SetRepairComplexity(4.000000)
centcannstar.SetDisabledPercentage(0.750000)
centcannstar.SetRadius(0.020000)
centcannstar.SetDumbfire(1)
centcannstar.SetWeaponID(2)
centcannstar.SetGroups(1)
centcannstar.SetDamageRadiusFactor(0.100000)
centcannstar.SetIconNum(365)
centcannstar.SetIconPositionX(50.000000)
centcannstar.SetIconPositionY(69.000000)
centcannstar.SetIconAboveShip(1)
centcannstar.SetFireSound("SFRD_NXmirPulse")
centcannstar.SetMaxCharge(30.000000)
centcannstar.SetMaxDamage(10.000000)
centcannstar.SetMaxDamageDistance(150.000000)
centcannstar.SetMinFiringCharge(3.000000)
centcannstar.SetNormalDischargeRate(1.000000)
centcannstar.SetRechargeRate(0.000000)
centcannstar.SetIndicatorIconNum(365)
centcannstar.SetIndicatorIconPositionX(52.000000)
centcannstar.SetIndicatorIconPositionY(73.000000)
centcannstarForward = App.TGPoint3()
centcannstarForward.SetXYZ(0.139181, 0.990119, 0.017132)
centcannstarUp = App.TGPoint3()
centcannstarUp.SetXYZ(0.000913, -0.017428, 0.999848)
centcannstar.SetOrientation(centcannstarForward, centcannstarUp)
centcannstar.SetArcWidthAngles(-0.174533, 0.349066)
centcannstar.SetArcHeightAngles(-0.174533, 0.349066)
centcannstar.SetCooldownTime(0.050000)
centcannstar.SetModuleName("Tactical.Projectiles.SFRD_NXmirPulse")
App.g_kModelPropertyManager.RegisterLocalTemplate(centcannstar)

# Property Set
def LoadPropertySet(pObj):
	"Sets up the object's properties."
	prop = App.g_kModelPropertyManager.FindByName("Hull", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shield Generator", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Sensor Array", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Warp Core", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Impulse Engines", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phasers", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Warp Engines", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Torpedoes", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port Impulse", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Impulse", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port Warp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Warp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Engineering", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Phaser 1a", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Phaser 2a", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Phaser 2b", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Phaser 3a", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser 1a", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser 2a", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser 2b", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser 3a", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("SFRD_Bozeman", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Forward Tractor", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Aft Tractor", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenForward", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenBack", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenLeft", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenRight", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenUp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenDown", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("FirstPersonCamera", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bridge", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser 1b", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser 3b", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Phaser 1b", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Phaser 3b", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shuttle Bay OEP", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shuttle Bay", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Probe Launcher", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shuttle Bay 1 OEP", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shuttle Bay 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shuttle Bay 3 OEP", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shuttle Bay 3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Pulse Phasers", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port Cannon dor", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Cannon dor", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("prt mega fore", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("str mega fore", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Center Cannon Dorsal", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Prt cann vent", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("star cann vent", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("cent cann vent", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("top cann prt", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("bott cann prt", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("cent cann prt", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("top cann star", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("bott cann star", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("cent cann star", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
