#####  Created by:
#####  Tactical Display Icon Editor



import App
import GlobalPropertyTemplates

# Local Templates
#################################################
Hull = App.HullProperty_Create("Hull")

Hull.SetMaxCondition(6000.000000)
Hull.SetCritical(1)
Hull.SetTargetable(1)
Hull.SetPrimary(1)
Hull.SetPosition(0.000000, 0.400000, 0.000000)
Hull.SetPosition2D(61.000000, 55.000000)
Hull.SetRepairComplexity(3.000000)
Hull.SetDisabledPercentage(0.750000)
Hull.SetRadius(0.780000)
App.g_kModelPropertyManager.RegisterLocalTemplate(Hull)
#################################################
ShieldGenerator = App.ShieldProperty_Create("Shield Generator")

ShieldGenerator.SetMaxCondition(9000.000000)
ShieldGenerator.SetCritical(0)
ShieldGenerator.SetTargetable(1)
ShieldGenerator.SetPrimary(1)
ShieldGenerator.SetPosition(0.000000, 0.400000, 0.000000)
ShieldGenerator.SetPosition2D(126.000000, 16.000000)
ShieldGenerator.SetRepairComplexity(2.000000)
ShieldGenerator.SetDisabledPercentage(0.750000)
ShieldGenerator.SetRadius(0.100000)
ShieldGenerator.SetNormalPowerPerSecond(300.000000)
ShieldGeneratorShieldGlowColor = App.TGColorA()
ShieldGeneratorShieldGlowColor.SetRGBA(0.203922, 0.631373, 1.000000, 0.466667)
ShieldGenerator.SetShieldGlowColor(ShieldGeneratorShieldGlowColor)
ShieldGenerator.SetShieldGlowDecay(1.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.FRONT_SHIELDS, 4000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.REAR_SHIELDS, 4000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.TOP_SHIELDS, 4000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.BOTTOM_SHIELDS, 4000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.LEFT_SHIELDS, 4000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.RIGHT_SHIELDS, 4000.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.FRONT_SHIELDS, 6.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.REAR_SHIELDS, 6.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.TOP_SHIELDS, 6.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.BOTTOM_SHIELDS, 6.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.LEFT_SHIELDS, 6.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.RIGHT_SHIELDS, 6.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShieldGenerator)
#################################################
SensorArray = App.SensorProperty_Create("Sensor Array")

SensorArray.SetMaxCondition(6000.000000)
SensorArray.SetCritical(0)
SensorArray.SetTargetable(1)
SensorArray.SetPrimary(1)
SensorArray.SetPosition(0.002770, -0.547604, 0.445632)
SensorArray.SetPosition2D(125.000000, -3.000000)
SensorArray.SetRepairComplexity(1.000000)
SensorArray.SetDisabledPercentage(0.500000)
SensorArray.SetRadius(0.122000)
SensorArray.SetNormalPowerPerSecond(150.000000)
SensorArray.SetBaseSensorRange(2500.000000)
SensorArray.SetMaxProbes(8)
App.g_kModelPropertyManager.RegisterLocalTemplate(SensorArray)
#################################################
WarpCore = App.PowerProperty_Create("Warp Core")

WarpCore.SetMaxCondition(5000.000000)
WarpCore.SetCritical(1)
WarpCore.SetTargetable(1)
WarpCore.SetPrimary(1)
WarpCore.SetPosition(-0.002683, -0.632702, 0.082072)
WarpCore.SetPosition2D(125.000000, 37.000000)
WarpCore.SetRepairComplexity(2.000000)
WarpCore.SetDisabledPercentage(0.750000)
WarpCore.SetRadius(0.010000)
WarpCore.SetMainBatteryLimit(150000.000000)
WarpCore.SetBackupBatteryLimit(50000.000000)
WarpCore.SetMainConduitCapacity(900.000000)
WarpCore.SetBackupConduitCapacity(100.000000)
WarpCore.SetPowerOutput(800.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpCore)
#################################################
ImpulseEngines = App.ImpulseEngineProperty_Create("Impulse Engines")

ImpulseEngines.SetMaxCondition(4000.000000)
ImpulseEngines.SetCritical(0)
ImpulseEngines.SetTargetable(0)
ImpulseEngines.SetPrimary(1)
ImpulseEngines.SetPosition(-0.007286, -0.744716, 0.225233)
ImpulseEngines.SetPosition2D(120.000000, 120.000000)
ImpulseEngines.SetRepairComplexity(3.000000)
ImpulseEngines.SetDisabledPercentage(0.500000)
ImpulseEngines.SetRadius(0.010000)
ImpulseEngines.SetNormalPowerPerSecond(50.000000)
ImpulseEngines.SetMaxAccel(3.000000)
ImpulseEngines.SetMaxAngularAccel(0.150000)
ImpulseEngines.SetMaxAngularVelocity(0.400000)
ImpulseEngines.SetMaxSpeed(6.000000)
ImpulseEngines.SetEngineSound("SFRD_TMPEngine")
App.g_kModelPropertyManager.RegisterLocalTemplate(ImpulseEngines)
#################################################
Phasers = App.WeaponSystemProperty_Create("Phasers")

Phasers.SetMaxCondition(2400.000000)
Phasers.SetCritical(0)
Phasers.SetTargetable(0)
Phasers.SetPrimary(1)
Phasers.SetPosition(-0.173416, 0.316298, 0.150863)
Phasers.SetPosition2D(46.000000, 64.000000)
Phasers.SetRepairComplexity(4.000000)
Phasers.SetDisabledPercentage(0.500000)
Phasers.SetRadius(0.010000)
Phasers.SetNormalPowerPerSecond(200.000000)
Phasers.SetWeaponSystemType(Phasers.WST_PHASER)
Phasers.SetSingleFire(0)
Phasers.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
Phasers.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(Phasers)
#################################################
WarpEngines = App.WarpEngineProperty_Create("Warp Engines")

WarpEngines.SetMaxCondition(5000.000000)
WarpEngines.SetCritical(0)
WarpEngines.SetTargetable(0)
WarpEngines.SetPrimary(1)
WarpEngines.SetPosition(0.094500, -0.270000, -0.405000)
WarpEngines.SetPosition2D(46.000000, 60.000000)
WarpEngines.SetRepairComplexity(3.000000)
WarpEngines.SetDisabledPercentage(0.500000)
WarpEngines.SetRadius(0.100000)
WarpEngines.SetNormalPowerPerSecond(0.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEngines)
#################################################
Torpedoes = App.TorpedoSystemProperty_Create("Torpedoes")

Torpedoes.SetMaxCondition(1000.000000)
Torpedoes.SetCritical(0)
Torpedoes.SetTargetable(0)
Torpedoes.SetPrimary(1)
Torpedoes.SetPosition(0.000000, 0.400000, 0.000000)
Torpedoes.SetPosition2D(82.000000, 64.000000)
Torpedoes.SetRepairComplexity(2.000000)
Torpedoes.SetDisabledPercentage(0.750000)
Torpedoes.SetRadius(0.003000)
Torpedoes.SetNormalPowerPerSecond(100.000000)
Torpedoes.SetWeaponSystemType(Torpedoes.WST_TORPEDO)
Torpedoes.SetSingleFire(0)
Torpedoes.SetAimedWeapon(1)
kFiringChainString = App.TGString()
kFiringChainString.SetString("0;Single;123;Dual")
Torpedoes.SetFiringChainString(kFiringChainString)
Torpedoes.SetMaxTorpedoes(0, 100)
Torpedoes.SetTorpedoScript(0, "Tactical.Projectiles.SFRD1_TMPTorpedoz")
Torpedoes.SetNumAmmoTypes(1)
App.g_kModelPropertyManager.RegisterLocalTemplate(Torpedoes)
#################################################
PortImpulse = App.EngineProperty_Create("Port Impulse")

PortImpulse.SetMaxCondition(2000.000000)
PortImpulse.SetCritical(0)
PortImpulse.SetTargetable(1)
PortImpulse.SetPrimary(1)
PortImpulse.SetPosition(-0.056570, -0.733161, 0.186309)
PortImpulse.SetPosition2D(59.000000, 94.000000)
PortImpulse.SetRepairComplexity(3.000000)
PortImpulse.SetDisabledPercentage(0.500000)
PortImpulse.SetRadius(0.050000)
PortImpulse.SetEngineType(PortImpulse.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(PortImpulse)
#################################################
StarImpulse = App.EngineProperty_Create("Star Impulse")

StarImpulse.SetMaxCondition(2000.000000)
StarImpulse.SetCritical(0)
StarImpulse.SetTargetable(1)
StarImpulse.SetPrimary(1)
StarImpulse.SetPosition(0.044622, -0.738702, 0.184657)
StarImpulse.SetPosition2D(71.000000, 94.000000)
StarImpulse.SetRepairComplexity(3.000000)
StarImpulse.SetDisabledPercentage(0.500000)
StarImpulse.SetRadius(0.050000)
StarImpulse.SetEngineType(StarImpulse.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(StarImpulse)
#################################################
PortWarp = App.EngineProperty_Create("Port Warp")

PortWarp.SetMaxCondition(4000.000000)
PortWarp.SetCritical(0)
PortWarp.SetTargetable(1)
PortWarp.SetPrimary(1)
PortWarp.SetPosition(-0.640364, 0.146186, -0.057397)
PortWarp.SetPosition2D(30.000000, 106.000000)
PortWarp.SetRepairComplexity(3.000000)
PortWarp.SetDisabledPercentage(0.500000)
PortWarp.SetRadius(0.020000)
PortWarp.SetEngineType(PortWarp.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(PortWarp)
#################################################
StarWarp = App.EngineProperty_Create("Star Warp")

StarWarp.SetMaxCondition(4000.000000)
StarWarp.SetCritical(0)
StarWarp.SetTargetable(1)
StarWarp.SetPrimary(1)
StarWarp.SetPosition(0.645129, 0.154432, -0.057329)
StarWarp.SetPosition2D(102.000000, 103.000000)
StarWarp.SetRepairComplexity(3.000000)
StarWarp.SetDisabledPercentage(0.500000)
StarWarp.SetRadius(0.020000)
StarWarp.SetEngineType(StarWarp.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(StarWarp)
#################################################
Engineering = App.RepairSubsystemProperty_Create("Engineering")

Engineering.SetMaxCondition(5000.000000)
Engineering.SetCritical(0)
Engineering.SetTargetable(0)
Engineering.SetPrimary(1)
Engineering.SetPosition(-0.079523, -0.273276, 0.229447)
Engineering.SetPosition2D(64.000000, 40.000000)
Engineering.SetRepairComplexity(4.000000)
Engineering.SetDisabledPercentage(0.100000)
Engineering.SetRadius(0.020000)
Engineering.SetNormalPowerPerSecond(1.000000)
Engineering.SetMaxRepairPoints(36.000000)
Engineering.SetNumRepairTeams(3)
App.g_kModelPropertyManager.RegisterLocalTemplate(Engineering)
#################################################
ForwardTorp1 = App.TorpedoTubeProperty_Create("Forward Torp 1")

ForwardTorp1.SetMaxCondition(1600.000000)
ForwardTorp1.SetCritical(0)
ForwardTorp1.SetTargetable(1)
ForwardTorp1.SetPrimary(1)
ForwardTorp1.SetPosition(0.024553, -0.196018, 0.388189)
ForwardTorp1.SetPosition2D(54.000000, 3.000000)
ForwardTorp1.SetRepairComplexity(3.000000)
ForwardTorp1.SetDisabledPercentage(0.750000)
ForwardTorp1.SetRadius(0.100000)
ForwardTorp1.SetDumbfire(1)
ForwardTorp1.SetWeaponID(0)
ForwardTorp1.SetGroups(1)
ForwardTorp1.SetDamageRadiusFactor(0.600000)
ForwardTorp1.SetIconNum(370)
ForwardTorp1.SetIconPositionX(71.000000)
ForwardTorp1.SetIconPositionY(35.000000)
ForwardTorp1.SetIconAboveShip(1)
ForwardTorp1.SetImmediateDelay(0.250000)
ForwardTorp1.SetReloadDelay(30.000000)
ForwardTorp1.SetMaxReady(2)
ForwardTorp1Direction = App.TGPoint3()
ForwardTorp1Direction.SetXYZ(0.000000, 1.000000, 0.000000)
ForwardTorp1.SetDirection(ForwardTorp1Direction)
ForwardTorp1Right = App.TGPoint3()
ForwardTorp1Right.SetXYZ(1.000000, 0.000000, 0.000000)
ForwardTorp1.SetRight(ForwardTorp1Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(ForwardTorp1)
#################################################
ForwardTorp2 = App.TorpedoTubeProperty_Create("Forward Torp 2")

ForwardTorp2.SetMaxCondition(1600.000000)
ForwardTorp2.SetCritical(0)
ForwardTorp2.SetTargetable(1)
ForwardTorp2.SetPrimary(1)
ForwardTorp2.SetPosition(-0.032080, -0.195320, 0.388526)
ForwardTorp2.SetPosition2D(74.000000, 3.000000)
ForwardTorp2.SetRepairComplexity(3.000000)
ForwardTorp2.SetDisabledPercentage(0.750000)
ForwardTorp2.SetRadius(0.100000)
ForwardTorp2.SetDumbfire(1)
ForwardTorp2.SetWeaponID(1)
ForwardTorp2.SetGroups(2)
ForwardTorp2.SetDamageRadiusFactor(0.600000)
ForwardTorp2.SetIconNum(370)
ForwardTorp2.SetIconPositionX(81.000000)
ForwardTorp2.SetIconPositionY(35.000000)
ForwardTorp2.SetIconAboveShip(1)
ForwardTorp2.SetImmediateDelay(0.250000)
ForwardTorp2.SetReloadDelay(30.000000)
ForwardTorp2.SetMaxReady(2)
ForwardTorp2Direction = App.TGPoint3()
ForwardTorp2Direction.SetXYZ(0.000000, 1.000000, 0.000000)
ForwardTorp2.SetDirection(ForwardTorp2Direction)
ForwardTorp2Right = App.TGPoint3()
ForwardTorp2Right.SetXYZ(1.000000, 0.000000, 0.000000)
ForwardTorp2.SetRight(ForwardTorp2Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(ForwardTorp2)
#################################################
VentralPhaser1a = App.PhaserProperty_Create("Ventral Phaser 1a")

VentralPhaser1a.SetMaxCondition(800.000000)
VentralPhaser1a.SetCritical(0)
VentralPhaser1a.SetTargetable(1)
VentralPhaser1a.SetPrimary(1)
VentralPhaser1a.SetPosition(-0.279435, 0.483598, 0.055839)
VentralPhaser1a.SetPosition2D(-7.000000, 45.000000)
VentralPhaser1a.SetRepairComplexity(7.000000)
VentralPhaser1a.SetDisabledPercentage(0.750000)
VentralPhaser1a.SetRadius(0.050000)
VentralPhaser1a.SetDumbfire(0)
VentralPhaser1a.SetWeaponID(1)
VentralPhaser1a.SetGroups(0)
VentralPhaser1a.SetDamageRadiusFactor(0.150000)
VentralPhaser1a.SetIconNum(340)
VentralPhaser1a.SetIconPositionX(12.000000)
VentralPhaser1a.SetIconPositionY(62.000000)
VentralPhaser1a.SetIconAboveShip(0)
VentralPhaser1a.SetFireSound("SFRD1_TMPPhaser")
VentralPhaser1a.SetMaxCharge(5.000000)
VentralPhaser1a.SetMaxDamage(425.000000)
VentralPhaser1a.SetMaxDamageDistance(60.000000)
VentralPhaser1a.SetMinFiringCharge(3.500000)
VentralPhaser1a.SetNormalDischargeRate(1.000000)
VentralPhaser1a.SetRechargeRate(0.080000)
VentralPhaser1a.SetIndicatorIconNum(504)
VentralPhaser1a.SetIndicatorIconPositionX(24.000000)
VentralPhaser1a.SetIndicatorIconPositionY(73.000000)
VentralPhaser1aForward = App.TGPoint3()
VentralPhaser1aForward.SetXYZ(-1.000000, 0.000000, 0.000000)
VentralPhaser1aUp = App.TGPoint3()
VentralPhaser1aUp.SetXYZ(0.000000, 0.000000, 1.000000)
VentralPhaser1a.SetOrientation(VentralPhaser1aForward, VentralPhaser1aUp)
VentralPhaser1a.SetWidth(0.001000)
VentralPhaser1a.SetLength(0.001000)
VentralPhaser1a.SetArcWidthAngles(-0.785398, 0.174533)
VentralPhaser1a.SetArcHeightAngles(0.034907, -1.570796)
VentralPhaser1a.SetPhaserTextureStart(0)
VentralPhaser1a.SetPhaserTextureEnd(7)
VentralPhaser1a.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
VentralPhaser1a.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
VentralPhaser1a.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
VentralPhaser1a.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
VentralPhaser1a.SetInnerCoreColor(kColor)
VentralPhaser1a.SetNumSides(6)
VentralPhaser1a.SetMainRadius(0.090000)
VentralPhaser1a.SetTaperRadius(0.010000)
VentralPhaser1a.SetCoreScale(0.500000)
VentralPhaser1a.SetTaperRatio(0.250000)
VentralPhaser1a.SetTaperMinLength(5.000000)
VentralPhaser1a.SetTaperMaxLength(30.000000)
VentralPhaser1a.SetLengthTextureTilePerUnit(0.050000)
VentralPhaser1a.SetPerimeterTile(1.000000)
VentralPhaser1a.SetTextureSpeed(5.000000)
VentralPhaser1a.SetTextureName("data/SFRD_TMP1pulse.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaser1a)
#################################################
VentralPhaser2a = App.PhaserProperty_Create("Ventral Phaser 2a")

VentralPhaser2a.SetMaxCondition(800.000000)
VentralPhaser2a.SetCritical(0)
VentralPhaser2a.SetTargetable(1)
VentralPhaser2a.SetPrimary(1)
VentralPhaser2a.SetPosition(0.007915, 0.761402, 0.058078)
VentralPhaser2a.SetPosition2D(3.000000, 45.000000)
VentralPhaser2a.SetRepairComplexity(7.000000)
VentralPhaser2a.SetDisabledPercentage(0.750000)
VentralPhaser2a.SetRadius(0.050000)
VentralPhaser2a.SetDumbfire(0)
VentralPhaser2a.SetWeaponID(2)
VentralPhaser2a.SetGroups(0)
VentralPhaser2a.SetDamageRadiusFactor(0.150000)
VentralPhaser2a.SetIconNum(330)
VentralPhaser2a.SetIconPositionX(22.000000)
VentralPhaser2a.SetIconPositionY(42.000000)
VentralPhaser2a.SetIconAboveShip(0)
VentralPhaser2a.SetFireSound("SFRD1_TMPPhaser")
VentralPhaser2a.SetMaxCharge(5.000000)
VentralPhaser2a.SetMaxDamage(425.000000)
VentralPhaser2a.SetMaxDamageDistance(60.000000)
VentralPhaser2a.SetMinFiringCharge(3.500000)
VentralPhaser2a.SetNormalDischargeRate(1.000000)
VentralPhaser2a.SetRechargeRate(0.080000)
VentralPhaser2a.SetIndicatorIconNum(505)
VentralPhaser2a.SetIndicatorIconPositionX(27.000000)
VentralPhaser2a.SetIndicatorIconPositionY(45.000000)
VentralPhaser2aForward = App.TGPoint3()
VentralPhaser2aForward.SetXYZ(0.000000, 1.000000, 0.000000)
VentralPhaser2aUp = App.TGPoint3()
VentralPhaser2aUp.SetXYZ(0.000000, 0.000000, -1.000000)
VentralPhaser2a.SetOrientation(VentralPhaser2aForward, VentralPhaser2aUp)
VentralPhaser2a.SetWidth(0.001000)
VentralPhaser2a.SetLength(0.001000)
VentralPhaser2a.SetArcWidthAngles(-0.785398, 0.785398)
VentralPhaser2a.SetArcHeightAngles(0.034907, 1.570796)
VentralPhaser2a.SetPhaserTextureStart(0)
VentralPhaser2a.SetPhaserTextureEnd(7)
VentralPhaser2a.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
VentralPhaser2a.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
VentralPhaser2a.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
VentralPhaser2a.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
VentralPhaser2a.SetInnerCoreColor(kColor)
VentralPhaser2a.SetNumSides(6)
VentralPhaser2a.SetMainRadius(0.090000)
VentralPhaser2a.SetTaperRadius(0.010000)
VentralPhaser2a.SetCoreScale(0.700000)
VentralPhaser2a.SetTaperRatio(0.250000)
VentralPhaser2a.SetTaperMinLength(5.000000)
VentralPhaser2a.SetTaperMaxLength(30.000000)
VentralPhaser2a.SetLengthTextureTilePerUnit(0.050000)
VentralPhaser2a.SetPerimeterTile(1.000000)
VentralPhaser2a.SetTextureSpeed(5.000000)
VentralPhaser2a.SetTextureName("data/SFRD_TMP1pulse.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaser2a)
#################################################
VentralPhaser2b = App.PhaserProperty_Create("Ventral Phaser 2b")

VentralPhaser2b.SetMaxCondition(800.000000)
VentralPhaser2b.SetCritical(0)
VentralPhaser2b.SetTargetable(1)
VentralPhaser2b.SetPrimary(1)
VentralPhaser2b.SetPosition(-0.010287, 0.760475, 0.058362)
VentralPhaser2b.SetPosition2D(8.000000, 45.000000)
VentralPhaser2b.SetRepairComplexity(7.000000)
VentralPhaser2b.SetDisabledPercentage(0.750000)
VentralPhaser2b.SetRadius(0.050000)
VentralPhaser2b.SetDumbfire(0)
VentralPhaser2b.SetWeaponID(3)
VentralPhaser2b.SetGroups(0)
VentralPhaser2b.SetDamageRadiusFactor(0.150000)
VentralPhaser2b.SetIconNum(350)
VentralPhaser2b.SetIconPositionX(78.000000)
VentralPhaser2b.SetIconPositionY(42.000000)
VentralPhaser2b.SetIconAboveShip(0)
VentralPhaser2b.SetFireSound("SFRD1_TMPPhaser")
VentralPhaser2b.SetMaxCharge(5.000000)
VentralPhaser2b.SetMaxDamage(425.000000)
VentralPhaser2b.SetMaxDamageDistance(60.000000)
VentralPhaser2b.SetMinFiringCharge(3.500000)
VentralPhaser2b.SetNormalDischargeRate(1.000000)
VentralPhaser2b.SetRechargeRate(0.080000)
VentralPhaser2b.SetIndicatorIconNum(506)
VentralPhaser2b.SetIndicatorIconPositionX(81.000000)
VentralPhaser2b.SetIndicatorIconPositionY(45.000000)
VentralPhaser2bForward = App.TGPoint3()
VentralPhaser2bForward.SetXYZ(0.000000, 1.000000, 0.000000)
VentralPhaser2bUp = App.TGPoint3()
VentralPhaser2bUp.SetXYZ(0.000000, 0.000000, -1.000000)
VentralPhaser2b.SetOrientation(VentralPhaser2bForward, VentralPhaser2bUp)
VentralPhaser2b.SetWidth(0.001000)
VentralPhaser2b.SetLength(0.001000)
VentralPhaser2b.SetArcWidthAngles(-0.785398, 0.785398)
VentralPhaser2b.SetArcHeightAngles(0.034907, 1.570796)
VentralPhaser2b.SetPhaserTextureStart(0)
VentralPhaser2b.SetPhaserTextureEnd(7)
VentralPhaser2b.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
VentralPhaser2b.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
VentralPhaser2b.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
VentralPhaser2b.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
VentralPhaser2b.SetInnerCoreColor(kColor)
VentralPhaser2b.SetNumSides(6)
VentralPhaser2b.SetMainRadius(0.090000)
VentralPhaser2b.SetTaperRadius(0.010000)
VentralPhaser2b.SetCoreScale(0.700000)
VentralPhaser2b.SetTaperRatio(0.250000)
VentralPhaser2b.SetTaperMinLength(5.000000)
VentralPhaser2b.SetTaperMaxLength(30.000000)
VentralPhaser2b.SetLengthTextureTilePerUnit(0.050000)
VentralPhaser2b.SetPerimeterTile(1.000000)
VentralPhaser2b.SetTextureSpeed(5.000000)
VentralPhaser2b.SetTextureName("data/SFRD_TMP1pulse.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaser2b)
#################################################
VentralPhaser3a = App.PhaserProperty_Create("Ventral Phaser 3a")

VentralPhaser3a.SetMaxCondition(800.000000)
VentralPhaser3a.SetCritical(0)
VentralPhaser3a.SetTargetable(1)
VentralPhaser3a.SetPrimary(1)
VentralPhaser3a.SetPosition(0.279933, 0.463541, 0.056616)
VentralPhaser3a.SetPosition2D(13.000000, 45.000000)
VentralPhaser3a.SetRepairComplexity(7.000000)
VentralPhaser3a.SetDisabledPercentage(0.750000)
VentralPhaser3a.SetRadius(0.050000)
VentralPhaser3a.SetDumbfire(0)
VentralPhaser3a.SetWeaponID(4)
VentralPhaser3a.SetGroups(0)
VentralPhaser3a.SetDamageRadiusFactor(0.150000)
VentralPhaser3a.SetIconNum(360)
VentralPhaser3a.SetIconPositionX(111.000000)
VentralPhaser3a.SetIconPositionY(62.000000)
VentralPhaser3a.SetIconAboveShip(0)
VentralPhaser3a.SetFireSound("SFRD1_TMPPhaser")
VentralPhaser3a.SetMaxCharge(5.000000)
VentralPhaser3a.SetMaxDamage(425.000000)
VentralPhaser3a.SetMaxDamageDistance(60.000000)
VentralPhaser3a.SetMinFiringCharge(3.500000)
VentralPhaser3a.SetNormalDischargeRate(1.000000)
VentralPhaser3a.SetRechargeRate(0.080000)
VentralPhaser3a.SetIndicatorIconNum(507)
VentralPhaser3a.SetIndicatorIconPositionX(95.000000)
VentralPhaser3a.SetIndicatorIconPositionY(73.000000)
VentralPhaser3aForward = App.TGPoint3()
VentralPhaser3aForward.SetXYZ(1.000000, 0.000000, 0.000000)
VentralPhaser3aUp = App.TGPoint3()
VentralPhaser3aUp.SetXYZ(0.000000, 0.000000, -1.000000)
VentralPhaser3a.SetOrientation(VentralPhaser3aForward, VentralPhaser3aUp)
VentralPhaser3a.SetWidth(0.001000)
VentralPhaser3a.SetLength(0.001000)
VentralPhaser3a.SetArcWidthAngles(-0.785398, 0.174533)
VentralPhaser3a.SetArcHeightAngles(0.034907, 1.570796)
VentralPhaser3a.SetPhaserTextureStart(0)
VentralPhaser3a.SetPhaserTextureEnd(7)
VentralPhaser3a.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
VentralPhaser3a.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
VentralPhaser3a.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
VentralPhaser3a.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
VentralPhaser3a.SetInnerCoreColor(kColor)
VentralPhaser3a.SetNumSides(6)
VentralPhaser3a.SetMainRadius(0.090000)
VentralPhaser3a.SetTaperRadius(0.010000)
VentralPhaser3a.SetCoreScale(0.500000)
VentralPhaser3a.SetTaperRatio(0.250000)
VentralPhaser3a.SetTaperMinLength(5.000000)
VentralPhaser3a.SetTaperMaxLength(30.000000)
VentralPhaser3a.SetLengthTextureTilePerUnit(0.050000)
VentralPhaser3a.SetPerimeterTile(1.000000)
VentralPhaser3a.SetTextureSpeed(5.000000)
VentralPhaser3a.SetTextureName("data/SFRD_TMP1pulse.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaser3a)
#################################################
DorsalPhaser1a = App.PhaserProperty_Create("Dorsal Phaser 1a")

DorsalPhaser1a.SetMaxCondition(800.000000)
DorsalPhaser1a.SetCritical(0)
DorsalPhaser1a.SetTargetable(1)
DorsalPhaser1a.SetPrimary(1)
DorsalPhaser1a.SetPosition(-0.333774, 0.455939, 0.193854)
DorsalPhaser1a.SetPosition2D(-7.000000, 25.000000)
DorsalPhaser1a.SetRepairComplexity(7.000000)
DorsalPhaser1a.SetDisabledPercentage(0.750000)
DorsalPhaser1a.SetRadius(0.050000)
DorsalPhaser1a.SetDumbfire(0)
DorsalPhaser1a.SetWeaponID(5)
DorsalPhaser1a.SetGroups(0)
DorsalPhaser1a.SetDamageRadiusFactor(0.150000)
DorsalPhaser1a.SetIconNum(340)
DorsalPhaser1a.SetIconPositionX(12.000000)
DorsalPhaser1a.SetIconPositionY(41.000000)
DorsalPhaser1a.SetIconAboveShip(1)
DorsalPhaser1a.SetFireSound("SFRD1_TMPPhaser")
DorsalPhaser1a.SetMaxCharge(5.000000)
DorsalPhaser1a.SetMaxDamage(425.000000)
DorsalPhaser1a.SetMaxDamageDistance(60.000000)
DorsalPhaser1a.SetMinFiringCharge(3.500000)
DorsalPhaser1a.SetNormalDischargeRate(1.000000)
DorsalPhaser1a.SetRechargeRate(0.080000)
DorsalPhaser1a.SetIndicatorIconNum(500)
DorsalPhaser1a.SetIndicatorIconPositionX(24.000000)
DorsalPhaser1a.SetIndicatorIconPositionY(52.000000)
DorsalPhaser1aForward = App.TGPoint3()
DorsalPhaser1aForward.SetXYZ(-1.000000, 0.000000, 0.000000)
DorsalPhaser1aUp = App.TGPoint3()
DorsalPhaser1aUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaser1a.SetOrientation(DorsalPhaser1aForward, DorsalPhaser1aUp)
DorsalPhaser1a.SetWidth(0.001000)
DorsalPhaser1a.SetLength(0.001000)
DorsalPhaser1a.SetArcWidthAngles(-0.785398, 0.785398)
DorsalPhaser1a.SetArcHeightAngles(-0.034907, 1.570796)
DorsalPhaser1a.SetPhaserTextureStart(0)
DorsalPhaser1a.SetPhaserTextureEnd(7)
DorsalPhaser1a.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
DorsalPhaser1a.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
DorsalPhaser1a.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
DorsalPhaser1a.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
DorsalPhaser1a.SetInnerCoreColor(kColor)
DorsalPhaser1a.SetNumSides(6)
DorsalPhaser1a.SetMainRadius(0.090000)
DorsalPhaser1a.SetTaperRadius(0.010000)
DorsalPhaser1a.SetCoreScale(0.500000)
DorsalPhaser1a.SetTaperRatio(0.250000)
DorsalPhaser1a.SetTaperMinLength(5.000000)
DorsalPhaser1a.SetTaperMaxLength(30.000000)
DorsalPhaser1a.SetLengthTextureTilePerUnit(0.050000)
DorsalPhaser1a.SetPerimeterTile(1.000000)
DorsalPhaser1a.SetTextureSpeed(5.000000)
DorsalPhaser1a.SetTextureName("data/SFRD_TMP1pulse.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaser1a)
#################################################
DorsalPhaser2a = App.PhaserProperty_Create("Dorsal Phaser 2a")

DorsalPhaser2a.SetMaxCondition(800.000000)
DorsalPhaser2a.SetCritical(0)
DorsalPhaser2a.SetTargetable(1)
DorsalPhaser2a.SetPrimary(1)
DorsalPhaser2a.SetPosition(-0.012845, 0.804127, 0.192722)
DorsalPhaser2a.SetPosition2D(3.000000, 25.000000)
DorsalPhaser2a.SetRepairComplexity(7.000000)
DorsalPhaser2a.SetDisabledPercentage(0.750000)
DorsalPhaser2a.SetRadius(0.050000)
DorsalPhaser2a.SetDumbfire(0)
DorsalPhaser2a.SetWeaponID(6)
DorsalPhaser2a.SetGroups(0)
DorsalPhaser2a.SetDamageRadiusFactor(0.150000)
DorsalPhaser2a.SetIconNum(330)
DorsalPhaser2a.SetIconPositionX(22.000000)
DorsalPhaser2a.SetIconPositionY(21.000000)
DorsalPhaser2a.SetIconAboveShip(1)
DorsalPhaser2a.SetFireSound("SFRD1_TMPPhaser")
DorsalPhaser2a.SetMaxCharge(5.000000)
DorsalPhaser2a.SetMaxDamage(425.000000)
DorsalPhaser2a.SetMaxDamageDistance(60.000000)
DorsalPhaser2a.SetMinFiringCharge(3.500000)
DorsalPhaser2a.SetNormalDischargeRate(1.000000)
DorsalPhaser2a.SetRechargeRate(0.080000)
DorsalPhaser2a.SetIndicatorIconNum(501)
DorsalPhaser2a.SetIndicatorIconPositionX(29.000000)
DorsalPhaser2a.SetIndicatorIconPositionY(24.000000)
DorsalPhaser2aForward = App.TGPoint3()
DorsalPhaser2aForward.SetXYZ(0.000000, 1.000000, 0.000000)
DorsalPhaser2aUp = App.TGPoint3()
DorsalPhaser2aUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaser2a.SetOrientation(DorsalPhaser2aForward, DorsalPhaser2aUp)
DorsalPhaser2a.SetWidth(0.001000)
DorsalPhaser2a.SetLength(0.001000)
DorsalPhaser2a.SetArcWidthAngles(-0.785398, 0.785398)
DorsalPhaser2a.SetArcHeightAngles(-0.034907, 1.570796)
DorsalPhaser2a.SetPhaserTextureStart(0)
DorsalPhaser2a.SetPhaserTextureEnd(7)
DorsalPhaser2a.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
DorsalPhaser2a.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
DorsalPhaser2a.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
DorsalPhaser2a.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
DorsalPhaser2a.SetInnerCoreColor(kColor)
DorsalPhaser2a.SetNumSides(6)
DorsalPhaser2a.SetMainRadius(0.090000)
DorsalPhaser2a.SetTaperRadius(0.010000)
DorsalPhaser2a.SetCoreScale(0.500000)
DorsalPhaser2a.SetTaperRatio(0.250000)
DorsalPhaser2a.SetTaperMinLength(5.000000)
DorsalPhaser2a.SetTaperMaxLength(30.000000)
DorsalPhaser2a.SetLengthTextureTilePerUnit(0.050000)
DorsalPhaser2a.SetPerimeterTile(1.000000)
DorsalPhaser2a.SetTextureSpeed(5.000000)
DorsalPhaser2a.SetTextureName("data/SFRD_TMP1pulse.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaser2a)
#################################################
DorsalPhaser2b = App.PhaserProperty_Create("Dorsal Phaser 2b")

DorsalPhaser2b.SetMaxCondition(800.000000)
DorsalPhaser2b.SetCritical(0)
DorsalPhaser2b.SetTargetable(1)
DorsalPhaser2b.SetPrimary(1)
DorsalPhaser2b.SetPosition(0.008860, 0.803531, 0.193134)
DorsalPhaser2b.SetPosition2D(8.000000, 25.000000)
DorsalPhaser2b.SetRepairComplexity(7.000000)
DorsalPhaser2b.SetDisabledPercentage(0.750000)
DorsalPhaser2b.SetRadius(0.050000)
DorsalPhaser2b.SetDumbfire(0)
DorsalPhaser2b.SetWeaponID(7)
DorsalPhaser2b.SetGroups(0)
DorsalPhaser2b.SetDamageRadiusFactor(0.150000)
DorsalPhaser2b.SetIconNum(350)
DorsalPhaser2b.SetIconPositionX(78.000000)
DorsalPhaser2b.SetIconPositionY(21.000000)
DorsalPhaser2b.SetIconAboveShip(1)
DorsalPhaser2b.SetFireSound("SFRD1_TMPPhaser")
DorsalPhaser2b.SetMaxCharge(5.000000)
DorsalPhaser2b.SetMaxDamage(425.000000)
DorsalPhaser2b.SetMaxDamageDistance(60.000000)
DorsalPhaser2b.SetMinFiringCharge(3.500000)
DorsalPhaser2b.SetNormalDischargeRate(1.000000)
DorsalPhaser2b.SetRechargeRate(0.080000)
DorsalPhaser2b.SetIndicatorIconNum(502)
DorsalPhaser2b.SetIndicatorIconPositionX(81.000000)
DorsalPhaser2b.SetIndicatorIconPositionY(24.000000)
DorsalPhaser2bForward = App.TGPoint3()
DorsalPhaser2bForward.SetXYZ(0.000000, 1.000000, 0.000000)
DorsalPhaser2bUp = App.TGPoint3()
DorsalPhaser2bUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaser2b.SetOrientation(DorsalPhaser2bForward, DorsalPhaser2bUp)
DorsalPhaser2b.SetWidth(0.001000)
DorsalPhaser2b.SetLength(0.001000)
DorsalPhaser2b.SetArcWidthAngles(-0.785398, 0.785398)
DorsalPhaser2b.SetArcHeightAngles(-0.034907, 1.570796)
DorsalPhaser2b.SetPhaserTextureStart(0)
DorsalPhaser2b.SetPhaserTextureEnd(7)
DorsalPhaser2b.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
DorsalPhaser2b.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
DorsalPhaser2b.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
DorsalPhaser2b.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
DorsalPhaser2b.SetInnerCoreColor(kColor)
DorsalPhaser2b.SetNumSides(6)
DorsalPhaser2b.SetMainRadius(0.090000)
DorsalPhaser2b.SetTaperRadius(0.010000)
DorsalPhaser2b.SetCoreScale(0.500000)
DorsalPhaser2b.SetTaperRatio(0.250000)
DorsalPhaser2b.SetTaperMinLength(5.000000)
DorsalPhaser2b.SetTaperMaxLength(30.000000)
DorsalPhaser2b.SetLengthTextureTilePerUnit(0.050000)
DorsalPhaser2b.SetPerimeterTile(1.000000)
DorsalPhaser2b.SetTextureSpeed(5.000000)
DorsalPhaser2b.SetTextureName("data/SFRD_TMP1pulse.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaser2b)
#################################################
DorsalPhaser3a = App.PhaserProperty_Create("Dorsal Phaser 3a")

DorsalPhaser3a.SetMaxCondition(800.000000)
DorsalPhaser3a.SetCritical(0)
DorsalPhaser3a.SetTargetable(1)
DorsalPhaser3a.SetPrimary(1)
DorsalPhaser3a.SetPosition(0.327870, 0.457582, 0.191624)
DorsalPhaser3a.SetPosition2D(13.000000, 25.000000)
DorsalPhaser3a.SetRepairComplexity(7.000000)
DorsalPhaser3a.SetDisabledPercentage(0.750000)
DorsalPhaser3a.SetRadius(0.050000)
DorsalPhaser3a.SetDumbfire(0)
DorsalPhaser3a.SetWeaponID(8)
DorsalPhaser3a.SetGroups(0)
DorsalPhaser3a.SetDamageRadiusFactor(0.150000)
DorsalPhaser3a.SetIconNum(360)
DorsalPhaser3a.SetIconPositionX(111.000000)
DorsalPhaser3a.SetIconPositionY(41.000000)
DorsalPhaser3a.SetIconAboveShip(1)
DorsalPhaser3a.SetFireSound("SFRD1_TMPPhaser")
DorsalPhaser3a.SetMaxCharge(5.000000)
DorsalPhaser3a.SetMaxDamage(425.000000)
DorsalPhaser3a.SetMaxDamageDistance(60.000000)
DorsalPhaser3a.SetMinFiringCharge(3.500000)
DorsalPhaser3a.SetNormalDischargeRate(1.000000)
DorsalPhaser3a.SetRechargeRate(0.080000)
DorsalPhaser3a.SetIndicatorIconNum(503)
DorsalPhaser3a.SetIndicatorIconPositionX(95.000000)
DorsalPhaser3a.SetIndicatorIconPositionY(52.000000)
DorsalPhaser3aForward = App.TGPoint3()
DorsalPhaser3aForward.SetXYZ(1.000000, 0.000000, 0.000000)
DorsalPhaser3aUp = App.TGPoint3()
DorsalPhaser3aUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaser3a.SetOrientation(DorsalPhaser3aForward, DorsalPhaser3aUp)
DorsalPhaser3a.SetWidth(0.001000)
DorsalPhaser3a.SetLength(0.001000)
DorsalPhaser3a.SetArcWidthAngles(-0.785398, 0.785398)
DorsalPhaser3a.SetArcHeightAngles(-0.034907, 1.570796)
DorsalPhaser3a.SetPhaserTextureStart(0)
DorsalPhaser3a.SetPhaserTextureEnd(7)
DorsalPhaser3a.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
DorsalPhaser3a.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
DorsalPhaser3a.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
DorsalPhaser3a.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
DorsalPhaser3a.SetInnerCoreColor(kColor)
DorsalPhaser3a.SetNumSides(6)
DorsalPhaser3a.SetMainRadius(0.090000)
DorsalPhaser3a.SetTaperRadius(0.010000)
DorsalPhaser3a.SetCoreScale(0.500000)
DorsalPhaser3a.SetTaperRatio(0.250000)
DorsalPhaser3a.SetTaperMinLength(5.000000)
DorsalPhaser3a.SetTaperMaxLength(30.000000)
DorsalPhaser3a.SetLengthTextureTilePerUnit(0.050000)
DorsalPhaser3a.SetPerimeterTile(1.000000)
DorsalPhaser3a.SetTextureSpeed(5.000000)
DorsalPhaser3a.SetTextureName("data/SFRD_TMP1pulse.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaser3a)
#################################################
Tractors = App.WeaponSystemProperty_Create("Tractors")

Tractors.SetMaxCondition(1500.000000)
Tractors.SetCritical(0)
Tractors.SetTargetable(0)
Tractors.SetPrimary(1)
Tractors.SetPosition(0.086431, -0.167465, 0.222976)
Tractors.SetPosition2D(120.000000, 120.000000)
Tractors.SetRepairComplexity(7.000000)
Tractors.SetDisabledPercentage(0.750000)
Tractors.SetRadius(0.025000)
Tractors.SetNormalPowerPerSecond(600.000000)
Tractors.SetWeaponSystemType(Tractors.WST_TRACTOR)
Tractors.SetSingleFire(1)
Tractors.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
Tractors.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(Tractors)
#################################################
SFRD_Saratoga_TMP = App.ShipProperty_Create("SFRD_Saratoga_TMP")

SFRD_Saratoga_TMP.SetGenus(1)
SFRD_Saratoga_TMP.SetSpecies(148)
SFRD_Saratoga_TMP.SetMass(70.000000)
SFRD_Saratoga_TMP.SetRotationalInertia(8000.000000)
SFRD_Saratoga_TMP.SetShipName("SFRD_Saratoga_TMP")
SFRD_Saratoga_TMP.SetModelFilename("data/Models/Ships/SFRD_Miranda_s/SFRD_Saratoga_TMP.nif")
SFRD_Saratoga_TMP.SetDamageResolution(8.000000)
SFRD_Saratoga_TMP.SetAffiliation(0)
SFRD_Saratoga_TMP.SetStationary(0)
SFRD_Saratoga_TMP.SetAIString("FedAttack")
SFRD_Saratoga_TMP.SetDeathExplosionSound("g_lsDeathExplosions")
App.g_kModelPropertyManager.RegisterLocalTemplate(SFRD_Saratoga_TMP)
#################################################
ForwardTractor = App.TractorBeamProperty_Create("Forward Tractor")

ForwardTractor.SetMaxCondition(1500.000000)
ForwardTractor.SetCritical(0)
ForwardTractor.SetTargetable(1)
ForwardTractor.SetPrimary(1)
ForwardTractor.SetPosition(0.003017, 1.138440, 0.015817)
ForwardTractor.SetPosition2D(103.000000, 117.000000)
ForwardTractor.SetRepairComplexity(7.000000)
ForwardTractor.SetDisabledPercentage(0.750000)
ForwardTractor.SetRadius(0.270000)
ForwardTractor.SetDumbfire(0)
ForwardTractor.SetWeaponID(1)
ForwardTractor.SetGroups(0)
ForwardTractor.SetDamageRadiusFactor(0.300000)
ForwardTractor.SetIconNum(0)
ForwardTractor.SetIconPositionX(0.000000)
ForwardTractor.SetIconPositionY(0.000000)
ForwardTractor.SetIconAboveShip(1)
ForwardTractor.SetFireSound("Tractor Beam")
ForwardTractor.SetMaxCharge(5.000000)
ForwardTractor.SetMaxDamage(60.000000)
ForwardTractor.SetMaxDamageDistance(100.000000)
ForwardTractor.SetMinFiringCharge(3.000000)
ForwardTractor.SetNormalDischargeRate(1.000000)
ForwardTractor.SetRechargeRate(0.300000)
ForwardTractor.SetIndicatorIconNum(0)
ForwardTractor.SetIndicatorIconPositionX(0.000000)
ForwardTractor.SetIndicatorIconPositionY(0.000000)
ForwardTractorForward = App.TGPoint3()
ForwardTractorForward.SetXYZ(0.013816, 0.885601, -0.464242)
ForwardTractorUp = App.TGPoint3()
ForwardTractorUp.SetXYZ(-0.000305, -0.190806, 0.981628)
ForwardTractor.SetOrientation(ForwardTractorForward, ForwardTractorUp)
ForwardTractor.SetArcWidthAngles(-0.872665, 0.872665)
ForwardTractor.SetArcHeightAngles(-0.872665, 0.959931)
ForwardTractor.SetTractorBeamWidth(0.300000)
ForwardTractor.SetTextureStart(0)
ForwardTractor.SetTextureEnd(0)
ForwardTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
kColor = App.TGColorA()
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetOuterShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetInnerShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetInnerCoreColor(kColor)
ForwardTractor.SetNumSides(12)
ForwardTractor.SetMainRadius(0.075000)
ForwardTractor.SetTaperRadius(0.000000)
ForwardTractor.SetCoreScale(0.450000)
ForwardTractor.SetTaperRatio(0.200000)
ForwardTractor.SetTaperMinLength(1.000000)
ForwardTractor.SetTaperMaxLength(5.000000)
ForwardTractor.SetLengthTextureTilePerUnit(0.250000)
ForwardTractor.SetPerimeterTile(1.000000)
ForwardTractor.SetTextureSpeed(0.200000)
ForwardTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(ForwardTractor)
#################################################
AftTractor = App.TractorBeamProperty_Create("Aft Tractor")

AftTractor.SetMaxCondition(1500.000000)
AftTractor.SetCritical(0)
AftTractor.SetTargetable(1)
AftTractor.SetPrimary(1)
AftTractor.SetPosition(-0.004705, -0.757406, 0.185085)
AftTractor.SetPosition2D(127.000000, 117.000000)
AftTractor.SetRepairComplexity(7.000000)
AftTractor.SetDisabledPercentage(0.750000)
AftTractor.SetRadius(0.202500)
AftTractor.SetDumbfire(0)
AftTractor.SetWeaponID(1)
AftTractor.SetGroups(0)
AftTractor.SetDamageRadiusFactor(0.300000)
AftTractor.SetIconNum(0)
AftTractor.SetIconPositionX(0.000000)
AftTractor.SetIconPositionY(0.000000)
AftTractor.SetIconAboveShip(1)
AftTractor.SetFireSound("Tractor Beam")
AftTractor.SetMaxCharge(5.000000)
AftTractor.SetMaxDamage(60.000000)
AftTractor.SetMaxDamageDistance(100.000000)
AftTractor.SetMinFiringCharge(3.000000)
AftTractor.SetNormalDischargeRate(1.000000)
AftTractor.SetRechargeRate(0.300000)
AftTractor.SetIndicatorIconNum(0)
AftTractor.SetIndicatorIconPositionX(0.000000)
AftTractor.SetIndicatorIconPositionY(0.000000)
AftTractorForward = App.TGPoint3()
AftTractorForward.SetXYZ(0.000000, -1.000000, 0.000000)
AftTractorUp = App.TGPoint3()
AftTractorUp.SetXYZ(0.000000, 0.000000, 1.000000)
AftTractor.SetOrientation(AftTractorForward, AftTractorUp)
AftTractor.SetArcWidthAngles(-0.698132, 0.698132)
AftTractor.SetArcHeightAngles(-0.698132, 0.349066)
AftTractor.SetTractorBeamWidth(0.300000)
AftTractor.SetTextureStart(0)
AftTractor.SetTextureEnd(0)
AftTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
kColor = App.TGColorA()
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractor.SetOuterShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractor.SetInnerShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractor.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractor.SetInnerCoreColor(kColor)
AftTractor.SetNumSides(12)
AftTractor.SetMainRadius(0.075000)
AftTractor.SetTaperRadius(0.000000)
AftTractor.SetCoreScale(0.450000)
AftTractor.SetTaperRatio(0.200000)
AftTractor.SetTaperMinLength(1.000000)
AftTractor.SetTaperMaxLength(5.000000)
AftTractor.SetLengthTextureTilePerUnit(0.250000)
AftTractor.SetPerimeterTile(1.000000)
AftTractor.SetTextureSpeed(0.200000)
AftTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(AftTractor)
#################################################
ViewscreenForward = App.PositionOrientationProperty_Create("ViewscreenForward")

ViewscreenForwardForward = App.TGPoint3()
ViewscreenForwardForward.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenForwardUp = App.TGPoint3()
ViewscreenForwardUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenForwardRight = App.TGPoint3()
ViewscreenForwardRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenForward.SetOrientation(ViewscreenForwardForward, ViewscreenForwardUp, ViewscreenForwardRight)
ViewscreenForwardPosition = App.TGPoint3()
ViewscreenForwardPosition.SetXYZ(0.070000, 2.000000, 0.100000)
ViewscreenForward.SetPosition(ViewscreenForwardPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenForward)
#################################################
ViewscreenBack = App.PositionOrientationProperty_Create("ViewscreenBack")

ViewscreenBackForward = App.TGPoint3()
ViewscreenBackForward.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenBackUp = App.TGPoint3()
ViewscreenBackUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenBackRight = App.TGPoint3()
ViewscreenBackRight.SetXYZ(-1.000000, 0.000000, 0.000000)
ViewscreenBack.SetOrientation(ViewscreenBackForward, ViewscreenBackUp, ViewscreenBackRight)
ViewscreenBackPosition = App.TGPoint3()
ViewscreenBackPosition.SetXYZ(0.070000, -1.200000, 0.300000)
ViewscreenBack.SetPosition(ViewscreenBackPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenBack)
#################################################
ViewscreenLeft = App.PositionOrientationProperty_Create("ViewscreenLeft")

ViewscreenLeftForward = App.TGPoint3()
ViewscreenLeftForward.SetXYZ(-1.000000, 0.000000, 0.000000)
ViewscreenLeftUp = App.TGPoint3()
ViewscreenLeftUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenLeftRight = App.TGPoint3()
ViewscreenLeftRight.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenLeft.SetOrientation(ViewscreenLeftForward, ViewscreenLeftUp, ViewscreenLeftRight)
ViewscreenLeftPosition = App.TGPoint3()
ViewscreenLeftPosition.SetXYZ(0.070000, 2.200000, 0.100000)
ViewscreenLeft.SetPosition(ViewscreenLeftPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenLeft)
#################################################
ViewscreenRight = App.PositionOrientationProperty_Create("ViewscreenRight")

ViewscreenRightForward = App.TGPoint3()
ViewscreenRightForward.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenRightUp = App.TGPoint3()
ViewscreenRightUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenRightRight = App.TGPoint3()
ViewscreenRightRight.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenRight.SetOrientation(ViewscreenRightForward, ViewscreenRightUp, ViewscreenRightRight)
ViewscreenRightPosition = App.TGPoint3()
ViewscreenRightPosition.SetXYZ(0.070000, 2.200000, 0.100000)
ViewscreenRight.SetPosition(ViewscreenRightPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenRight)
#################################################
ViewscreenUp = App.PositionOrientationProperty_Create("ViewscreenUp")

ViewscreenUpForward = App.TGPoint3()
ViewscreenUpForward.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenUpUp = App.TGPoint3()
ViewscreenUpUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenUpRight = App.TGPoint3()
ViewscreenUpRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenUp.SetOrientation(ViewscreenUpForward, ViewscreenUpUp, ViewscreenUpRight)
ViewscreenUpPosition = App.TGPoint3()
ViewscreenUpPosition.SetXYZ(0.070000, 2.200000, 0.100000)
ViewscreenUp.SetPosition(ViewscreenUpPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenUp)
#################################################
ViewscreenDown = App.PositionOrientationProperty_Create("ViewscreenDown")

ViewscreenDownForward = App.TGPoint3()
ViewscreenDownForward.SetXYZ(0.000000, 0.000000, -1.000000)
ViewscreenDownUp = App.TGPoint3()
ViewscreenDownUp.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenDownRight = App.TGPoint3()
ViewscreenDownRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenDown.SetOrientation(ViewscreenDownForward, ViewscreenDownUp, ViewscreenDownRight)
ViewscreenDownPosition = App.TGPoint3()
ViewscreenDownPosition.SetXYZ(0.070000, 2.200000, -0.150000)
ViewscreenDown.SetPosition(ViewscreenDownPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenDown)
#################################################
FirstPersonCamera = App.PositionOrientationProperty_Create("FirstPersonCamera")

FirstPersonCameraForward = App.TGPoint3()
FirstPersonCameraForward.SetXYZ(0.000000, 1.000000, 0.000000)
FirstPersonCameraUp = App.TGPoint3()
FirstPersonCameraUp.SetXYZ(0.000000, 0.000000, 1.000000)
FirstPersonCameraRight = App.TGPoint3()
FirstPersonCameraRight.SetXYZ(1.000000, 0.000000, 0.000000)
FirstPersonCamera.SetOrientation(FirstPersonCameraForward, FirstPersonCameraUp, FirstPersonCameraRight)
FirstPersonCameraPosition = App.TGPoint3()
FirstPersonCameraPosition.SetXYZ(0.070000, 2.200000, 0.100000)
FirstPersonCamera.SetPosition(FirstPersonCameraPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(FirstPersonCamera)
#################################################
Bridge = App.HullProperty_Create("Bridge")

Bridge.SetMaxCondition(8000.000000)
Bridge.SetCritical(1)
Bridge.SetTargetable(1)
Bridge.SetPrimary(0)
Bridge.SetPosition(0.004883, 0.445524, 0.325131)
Bridge.SetPosition2D(62.000000, 35.000000)
Bridge.SetRepairComplexity(4.000000)
Bridge.SetDisabledPercentage(0.750000)
Bridge.SetRadius(0.010000)
App.g_kModelPropertyManager.RegisterLocalTemplate(Bridge)
#################################################
DorsalPhaser1b = App.PhaserProperty_Create("Dorsal Phaser 1b")

DorsalPhaser1b.SetMaxCondition(800.000000)
DorsalPhaser1b.SetCritical(0)
DorsalPhaser1b.SetTargetable(1)
DorsalPhaser1b.SetPrimary(1)
DorsalPhaser1b.SetPosition(-0.333886, 0.478636, 0.194127)
DorsalPhaser1b.SetPosition2D(-2.000000, 25.000000)
DorsalPhaser1b.SetRepairComplexity(7.000000)
DorsalPhaser1b.SetDisabledPercentage(0.750000)
DorsalPhaser1b.SetRadius(0.050000)
DorsalPhaser1b.SetDumbfire(0)
DorsalPhaser1b.SetWeaponID(5)
DorsalPhaser1b.SetGroups(0)
DorsalPhaser1b.SetDamageRadiusFactor(0.150000)
DorsalPhaser1b.SetIconNum(340)
DorsalPhaser1b.SetIconPositionX(12.000000)
DorsalPhaser1b.SetIconPositionY(41.000000)
DorsalPhaser1b.SetIconAboveShip(1)
DorsalPhaser1b.SetFireSound("SFRD1_TMPPhaser")
DorsalPhaser1b.SetMaxCharge(5.000000)
DorsalPhaser1b.SetMaxDamage(425.000000)
DorsalPhaser1b.SetMaxDamageDistance(60.000000)
DorsalPhaser1b.SetMinFiringCharge(3.500000)
DorsalPhaser1b.SetNormalDischargeRate(1.000000)
DorsalPhaser1b.SetRechargeRate(0.080000)
DorsalPhaser1b.SetIndicatorIconNum(500)
DorsalPhaser1b.SetIndicatorIconPositionX(24.000000)
DorsalPhaser1b.SetIndicatorIconPositionY(52.000000)
DorsalPhaser1bForward = App.TGPoint3()
DorsalPhaser1bForward.SetXYZ(-1.000000, 0.000000, 0.000000)
DorsalPhaser1bUp = App.TGPoint3()
DorsalPhaser1bUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaser1b.SetOrientation(DorsalPhaser1bForward, DorsalPhaser1bUp)
DorsalPhaser1b.SetWidth(0.001000)
DorsalPhaser1b.SetLength(0.001000)
DorsalPhaser1b.SetArcWidthAngles(-0.785398, 0.785398)
DorsalPhaser1b.SetArcHeightAngles(-0.034907, 1.570796)
DorsalPhaser1b.SetPhaserTextureStart(0)
DorsalPhaser1b.SetPhaserTextureEnd(7)
DorsalPhaser1b.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
DorsalPhaser1b.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
DorsalPhaser1b.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
DorsalPhaser1b.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
DorsalPhaser1b.SetInnerCoreColor(kColor)
DorsalPhaser1b.SetNumSides(6)
DorsalPhaser1b.SetMainRadius(0.090000)
DorsalPhaser1b.SetTaperRadius(0.010000)
DorsalPhaser1b.SetCoreScale(0.500000)
DorsalPhaser1b.SetTaperRatio(0.250000)
DorsalPhaser1b.SetTaperMinLength(5.000000)
DorsalPhaser1b.SetTaperMaxLength(30.000000)
DorsalPhaser1b.SetLengthTextureTilePerUnit(0.050000)
DorsalPhaser1b.SetPerimeterTile(1.000000)
DorsalPhaser1b.SetTextureSpeed(5.000000)
DorsalPhaser1b.SetTextureName("data/SFRD_TMP1pulse.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaser1b)
#################################################
DorsalPhaser3b = App.PhaserProperty_Create("Dorsal Phaser 3b")

DorsalPhaser3b.SetMaxCondition(800.000000)
DorsalPhaser3b.SetCritical(0)
DorsalPhaser3b.SetTargetable(1)
DorsalPhaser3b.SetPrimary(1)
DorsalPhaser3b.SetPosition(0.327783, 0.478615, 0.191594)
DorsalPhaser3b.SetPosition2D(18.000000, 25.000000)
DorsalPhaser3b.SetRepairComplexity(7.000000)
DorsalPhaser3b.SetDisabledPercentage(0.750000)
DorsalPhaser3b.SetRadius(0.050000)
DorsalPhaser3b.SetDumbfire(0)
DorsalPhaser3b.SetWeaponID(8)
DorsalPhaser3b.SetGroups(0)
DorsalPhaser3b.SetDamageRadiusFactor(0.150000)
DorsalPhaser3b.SetIconNum(360)
DorsalPhaser3b.SetIconPositionX(111.000000)
DorsalPhaser3b.SetIconPositionY(41.000000)
DorsalPhaser3b.SetIconAboveShip(1)
DorsalPhaser3b.SetFireSound("SFRD1_TMPPhaser")
DorsalPhaser3b.SetMaxCharge(5.000000)
DorsalPhaser3b.SetMaxDamage(425.000000)
DorsalPhaser3b.SetMaxDamageDistance(60.000000)
DorsalPhaser3b.SetMinFiringCharge(3.500000)
DorsalPhaser3b.SetNormalDischargeRate(1.000000)
DorsalPhaser3b.SetRechargeRate(0.080000)
DorsalPhaser3b.SetIndicatorIconNum(503)
DorsalPhaser3b.SetIndicatorIconPositionX(95.000000)
DorsalPhaser3b.SetIndicatorIconPositionY(52.000000)
DorsalPhaser3bForward = App.TGPoint3()
DorsalPhaser3bForward.SetXYZ(1.000000, 0.000000, 0.000000)
DorsalPhaser3bUp = App.TGPoint3()
DorsalPhaser3bUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaser3b.SetOrientation(DorsalPhaser3bForward, DorsalPhaser3bUp)
DorsalPhaser3b.SetWidth(0.001000)
DorsalPhaser3b.SetLength(0.001000)
DorsalPhaser3b.SetArcWidthAngles(-0.785398, 0.785398)
DorsalPhaser3b.SetArcHeightAngles(-0.034907, 1.570796)
DorsalPhaser3b.SetPhaserTextureStart(0)
DorsalPhaser3b.SetPhaserTextureEnd(7)
DorsalPhaser3b.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
DorsalPhaser3b.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
DorsalPhaser3b.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
DorsalPhaser3b.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
DorsalPhaser3b.SetInnerCoreColor(kColor)
DorsalPhaser3b.SetNumSides(6)
DorsalPhaser3b.SetMainRadius(0.090000)
DorsalPhaser3b.SetTaperRadius(0.010000)
DorsalPhaser3b.SetCoreScale(0.500000)
DorsalPhaser3b.SetTaperRatio(0.250000)
DorsalPhaser3b.SetTaperMinLength(5.000000)
DorsalPhaser3b.SetTaperMaxLength(30.000000)
DorsalPhaser3b.SetLengthTextureTilePerUnit(0.050000)
DorsalPhaser3b.SetPerimeterTile(1.000000)
DorsalPhaser3b.SetTextureSpeed(5.000000)
DorsalPhaser3b.SetTextureName("data/SFRD_TMP1pulse.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaser3b)
#################################################
VentralPhaser1b = App.PhaserProperty_Create("Ventral Phaser 1b")

VentralPhaser1b.SetMaxCondition(800.000000)
VentralPhaser1b.SetCritical(0)
VentralPhaser1b.SetTargetable(1)
VentralPhaser1b.SetPrimary(1)
VentralPhaser1b.SetPosition(-0.279592, 0.461181, 0.056131)
VentralPhaser1b.SetPosition2D(-2.000000, 45.000000)
VentralPhaser1b.SetRepairComplexity(7.000000)
VentralPhaser1b.SetDisabledPercentage(0.750000)
VentralPhaser1b.SetRadius(0.050000)
VentralPhaser1b.SetDumbfire(0)
VentralPhaser1b.SetWeaponID(1)
VentralPhaser1b.SetGroups(0)
VentralPhaser1b.SetDamageRadiusFactor(0.150000)
VentralPhaser1b.SetIconNum(340)
VentralPhaser1b.SetIconPositionX(12.000000)
VentralPhaser1b.SetIconPositionY(62.000000)
VentralPhaser1b.SetIconAboveShip(0)
VentralPhaser1b.SetFireSound("SFRD1_TMPPhaser")
VentralPhaser1b.SetMaxCharge(5.000000)
VentralPhaser1b.SetMaxDamage(425.000000)
VentralPhaser1b.SetMaxDamageDistance(60.000000)
VentralPhaser1b.SetMinFiringCharge(3.500000)
VentralPhaser1b.SetNormalDischargeRate(1.000000)
VentralPhaser1b.SetRechargeRate(0.080000)
VentralPhaser1b.SetIndicatorIconNum(504)
VentralPhaser1b.SetIndicatorIconPositionX(24.000000)
VentralPhaser1b.SetIndicatorIconPositionY(73.000000)
VentralPhaser1bForward = App.TGPoint3()
VentralPhaser1bForward.SetXYZ(-1.000000, 0.000000, 0.000000)
VentralPhaser1bUp = App.TGPoint3()
VentralPhaser1bUp.SetXYZ(0.000000, 0.000000, 1.000000)
VentralPhaser1b.SetOrientation(VentralPhaser1bForward, VentralPhaser1bUp)
VentralPhaser1b.SetWidth(0.001000)
VentralPhaser1b.SetLength(0.001000)
VentralPhaser1b.SetArcWidthAngles(-0.785398, 0.174533)
VentralPhaser1b.SetArcHeightAngles(-0.087266, -1.570796)
VentralPhaser1b.SetPhaserTextureStart(0)
VentralPhaser1b.SetPhaserTextureEnd(7)
VentralPhaser1b.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
VentralPhaser1b.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
VentralPhaser1b.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
VentralPhaser1b.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
VentralPhaser1b.SetInnerCoreColor(kColor)
VentralPhaser1b.SetNumSides(6)
VentralPhaser1b.SetMainRadius(0.090000)
VentralPhaser1b.SetTaperRadius(0.010000)
VentralPhaser1b.SetCoreScale(0.500000)
VentralPhaser1b.SetTaperRatio(0.250000)
VentralPhaser1b.SetTaperMinLength(5.000000)
VentralPhaser1b.SetTaperMaxLength(30.000000)
VentralPhaser1b.SetLengthTextureTilePerUnit(0.050000)
VentralPhaser1b.SetPerimeterTile(1.000000)
VentralPhaser1b.SetTextureSpeed(5.000000)
VentralPhaser1b.SetTextureName("data/SFRD_TMP1pulse.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaser1b)
#################################################
VentralPhaser3b = App.PhaserProperty_Create("Ventral Phaser 3b")

VentralPhaser3b.SetMaxCondition(800.000000)
VentralPhaser3b.SetCritical(0)
VentralPhaser3b.SetTargetable(1)
VentralPhaser3b.SetPrimary(1)
VentralPhaser3b.SetPosition(0.278542, 0.482286, 0.056906)
VentralPhaser3b.SetPosition2D(18.000000, 45.000000)
VentralPhaser3b.SetRepairComplexity(7.000000)
VentralPhaser3b.SetDisabledPercentage(0.750000)
VentralPhaser3b.SetRadius(0.050000)
VentralPhaser3b.SetDumbfire(0)
VentralPhaser3b.SetWeaponID(4)
VentralPhaser3b.SetGroups(0)
VentralPhaser3b.SetDamageRadiusFactor(0.150000)
VentralPhaser3b.SetIconNum(360)
VentralPhaser3b.SetIconPositionX(111.000000)
VentralPhaser3b.SetIconPositionY(62.000000)
VentralPhaser3b.SetIconAboveShip(0)
VentralPhaser3b.SetFireSound("SFRD1_TMPPhaser")
VentralPhaser3b.SetMaxCharge(5.000000)
VentralPhaser3b.SetMaxDamage(425.000000)
VentralPhaser3b.SetMaxDamageDistance(60.000000)
VentralPhaser3b.SetMinFiringCharge(3.500000)
VentralPhaser3b.SetNormalDischargeRate(1.000000)
VentralPhaser3b.SetRechargeRate(0.080000)
VentralPhaser3b.SetIndicatorIconNum(507)
VentralPhaser3b.SetIndicatorIconPositionX(95.000000)
VentralPhaser3b.SetIndicatorIconPositionY(73.000000)
VentralPhaser3bForward = App.TGPoint3()
VentralPhaser3bForward.SetXYZ(1.000000, 0.000000, 0.000000)
VentralPhaser3bUp = App.TGPoint3()
VentralPhaser3bUp.SetXYZ(0.000000, 0.000000, -1.000000)
VentralPhaser3b.SetOrientation(VentralPhaser3bForward, VentralPhaser3bUp)
VentralPhaser3b.SetWidth(0.001000)
VentralPhaser3b.SetLength(0.001000)
VentralPhaser3b.SetArcWidthAngles(-0.785398, 0.174533)
VentralPhaser3b.SetArcHeightAngles(0.034907, 1.570796)
VentralPhaser3b.SetPhaserTextureStart(0)
VentralPhaser3b.SetPhaserTextureEnd(7)
VentralPhaser3b.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
VentralPhaser3b.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
VentralPhaser3b.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
VentralPhaser3b.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
VentralPhaser3b.SetInnerCoreColor(kColor)
VentralPhaser3b.SetNumSides(6)
VentralPhaser3b.SetMainRadius(0.090000)
VentralPhaser3b.SetTaperRadius(0.010000)
VentralPhaser3b.SetCoreScale(0.500000)
VentralPhaser3b.SetTaperRatio(0.250000)
VentralPhaser3b.SetTaperMinLength(5.000000)
VentralPhaser3b.SetTaperMaxLength(30.000000)
VentralPhaser3b.SetLengthTextureTilePerUnit(0.050000)
VentralPhaser3b.SetPerimeterTile(1.000000)
VentralPhaser3b.SetTextureSpeed(5.000000)
VentralPhaser3b.SetTextureName("data/SFRD_TMP1pulse.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaser3b)
#################################################
ShuttleBayOEP = App.ObjectEmitterProperty_Create("Shuttle Bay OEP")

ShuttleBayOEPForward = App.TGPoint3()
ShuttleBayOEPForward.SetXYZ(0.000000, -1.000000, 0.000000)
ShuttleBayOEPUp = App.TGPoint3()
ShuttleBayOEPUp.SetXYZ(0.000000, 0.000000, 1.000000)
ShuttleBayOEPRight = App.TGPoint3()
ShuttleBayOEPRight.SetXYZ(-1.000000, 0.000000, 0.000000)
ShuttleBayOEP.SetOrientation(ShuttleBayOEPForward, ShuttleBayOEPUp, ShuttleBayOEPRight)
ShuttleBayOEPPosition = App.TGPoint3()
ShuttleBayOEPPosition.SetXYZ(0.285180, -0.607267, 0.126887)
ShuttleBayOEP.SetPosition(ShuttleBayOEPPosition)
ShuttleBayOEP.SetEmittedObjectType(ShuttleBayOEP.OEP_SHUTTLE)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShuttleBayOEP)
#################################################
ShuttleBay = App.HullProperty_Create("Shuttle Bay")

ShuttleBay.SetMaxCondition(800.000000)
ShuttleBay.SetCritical(0)
ShuttleBay.SetTargetable(1)
ShuttleBay.SetPrimary(0)
ShuttleBay.SetPosition(0.285180, -0.607267, 0.126887)
ShuttleBay.SetPosition2D(83.000000, 89.000000)
ShuttleBay.SetRepairComplexity(5.000000)
ShuttleBay.SetDisabledPercentage(0.750000)
ShuttleBay.SetRadius(0.500000)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShuttleBay)
#################################################
ProbeLauncher = App.ObjectEmitterProperty_Create("Probe Launcher")

ProbeLauncherForward = App.TGPoint3()
ProbeLauncherForward.SetXYZ(0.000000, 1.000000, 0.000000)
ProbeLauncherUp = App.TGPoint3()
ProbeLauncherUp.SetXYZ(0.000000, 0.000000, 1.000000)
ProbeLauncherRight = App.TGPoint3()
ProbeLauncherRight.SetXYZ(1.000000, 0.000000, 0.000000)
ProbeLauncher.SetOrientation(ProbeLauncherForward, ProbeLauncherUp, ProbeLauncherRight)
ProbeLauncherPosition = App.TGPoint3()
ProbeLauncherPosition.SetXYZ(0.025152, 0.477352, -0.098559)
ProbeLauncher.SetPosition(ProbeLauncherPosition)
ProbeLauncher.SetEmittedObjectType(ProbeLauncher.OEP_PROBE)
App.g_kModelPropertyManager.RegisterLocalTemplate(ProbeLauncher)
#################################################
ShuttleBay1OEP = App.ObjectEmitterProperty_Create("Shuttle Bay 1 OEP")

ShuttleBay1OEPForward = App.TGPoint3()
ShuttleBay1OEPForward.SetXYZ(-0.467332, -0.884081, 0.001563)
ShuttleBay1OEPUp = App.TGPoint3()
ShuttleBay1OEPUp.SetXYZ(0.093330, 0.047576, 0.994498)
ShuttleBay1OEPRight = App.TGPoint3()
ShuttleBay1OEPRight.SetXYZ(-0.879142, -0.464907, 0.104745)
ShuttleBay1OEP.SetOrientation(ShuttleBay1OEPForward, ShuttleBay1OEPUp, ShuttleBay1OEPRight)
ShuttleBay1OEPPosition = App.TGPoint3()
ShuttleBay1OEPPosition.SetXYZ(-0.298652, -0.607013, 0.135586)
ShuttleBay1OEP.SetPosition(ShuttleBay1OEPPosition)
ShuttleBay1OEP.SetEmittedObjectType(ShuttleBay1OEP.OEP_SHUTTLE)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShuttleBay1OEP)
#################################################
ShuttleBay1 = App.HullProperty_Create("Shuttle Bay 1")

ShuttleBay1.SetMaxCondition(1000.000000)
ShuttleBay1.SetCritical(0)
ShuttleBay1.SetTargetable(1)
ShuttleBay1.SetPrimary(0)
ShuttleBay1.SetPosition(-0.298652, -0.607013, 0.135586)
ShuttleBay1.SetPosition2D(44.000000, 91.000000)
ShuttleBay1.SetRepairComplexity(4.000000)
ShuttleBay1.SetDisabledPercentage(0.000000)
ShuttleBay1.SetRadius(0.500000)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShuttleBay1)
#################################################
Afttorpprt = App.TorpedoTubeProperty_Create("Aft torp prt")

Afttorpprt.SetMaxCondition(1600.000000)
Afttorpprt.SetCritical(0)
Afttorpprt.SetTargetable(1)
Afttorpprt.SetPrimary(1)
Afttorpprt.SetPosition(-0.064605, -0.491353, 0.391934)
Afttorpprt.SetPosition2D(58.000000, 108.000000)
Afttorpprt.SetRepairComplexity(3.000000)
Afttorpprt.SetDisabledPercentage(0.750000)
Afttorpprt.SetRadius(0.100000)
Afttorpprt.SetDumbfire(1)
Afttorpprt.SetWeaponID(0)
Afttorpprt.SetGroups(1)
Afttorpprt.SetDamageRadiusFactor(0.600000)
Afttorpprt.SetIconNum(370)
Afttorpprt.SetIconPositionX(71.000000)
Afttorpprt.SetIconPositionY(104.000000)
Afttorpprt.SetIconAboveShip(1)
Afttorpprt.SetImmediateDelay(0.250000)
Afttorpprt.SetReloadDelay(30.000000)
Afttorpprt.SetMaxReady(2)
AfttorpprtDirection = App.TGPoint3()
AfttorpprtDirection.SetXYZ(0.000000, -1.000000, 0.000000)
Afttorpprt.SetDirection(AfttorpprtDirection)
AfttorpprtRight = App.TGPoint3()
AfttorpprtRight.SetXYZ(1.000000, 0.000000, 0.000000)
Afttorpprt.SetRight(AfttorpprtRight)
App.g_kModelPropertyManager.RegisterLocalTemplate(Afttorpprt)
#################################################
afttorpstr = App.TorpedoTubeProperty_Create("aft torp str")

afttorpstr.SetMaxCondition(1600.000000)
afttorpstr.SetCritical(0)
afttorpstr.SetTargetable(1)
afttorpstr.SetPrimary(1)
afttorpstr.SetPosition(0.064312, -0.491414, 0.392737)
afttorpstr.SetPosition2D(76.000000, 108.000000)
afttorpstr.SetRepairComplexity(3.000000)
afttorpstr.SetDisabledPercentage(0.750000)
afttorpstr.SetRadius(0.100000)
afttorpstr.SetDumbfire(1)
afttorpstr.SetWeaponID(1)
afttorpstr.SetGroups(2)
afttorpstr.SetDamageRadiusFactor(0.600000)
afttorpstr.SetIconNum(370)
afttorpstr.SetIconPositionX(84.000000)
afttorpstr.SetIconPositionY(104.000000)
afttorpstr.SetIconAboveShip(1)
afttorpstr.SetImmediateDelay(0.250000)
afttorpstr.SetReloadDelay(30.000000)
afttorpstr.SetMaxReady(2)
afttorpstrDirection = App.TGPoint3()
afttorpstrDirection.SetXYZ(0.000000, -1.000000, 0.000000)
afttorpstr.SetDirection(afttorpstrDirection)
afttorpstrRight = App.TGPoint3()
afttorpstrRight.SetXYZ(1.000000, 0.000000, 0.000000)
afttorpstr.SetRight(afttorpstrRight)
App.g_kModelPropertyManager.RegisterLocalTemplate(afttorpstr)
#################################################
strmegafore = App.PhaserProperty_Create("str mega fore")

strmegafore.SetMaxCondition(800.000000)
strmegafore.SetCritical(0)
strmegafore.SetTargetable(1)
strmegafore.SetPrimary(1)
strmegafore.SetPosition(0.544459, -0.072672, 0.324090)
strmegafore.SetPosition2D(-2.000000, 5.000000)
strmegafore.SetRepairComplexity(7.000000)
strmegafore.SetDisabledPercentage(0.750000)
strmegafore.SetRadius(0.050000)
strmegafore.SetDumbfire(0)
strmegafore.SetWeaponID(7)
strmegafore.SetGroups(0)
strmegafore.SetDamageRadiusFactor(0.150000)
strmegafore.SetIconNum(364)
strmegafore.SetIconPositionX(87.000000)
strmegafore.SetIconPositionY(66.000000)
strmegafore.SetIconAboveShip(1)
strmegafore.SetFireSound("SFRD_TMPphasercann")
strmegafore.SetMaxCharge(5.000000)
strmegafore.SetMaxDamage(620.000000)
strmegafore.SetMaxDamageDistance(60.000000)
strmegafore.SetMinFiringCharge(3.500000)
strmegafore.SetNormalDischargeRate(3.000000)
strmegafore.SetRechargeRate(0.080000)
strmegafore.SetIndicatorIconNum(510)
strmegafore.SetIndicatorIconPositionX(83.000000)
strmegafore.SetIndicatorIconPositionY(61.000000)
strmegaforeForward = App.TGPoint3()
strmegaforeForward.SetXYZ(0.000000, 1.000000, 0.000000)
strmegaforeUp = App.TGPoint3()
strmegaforeUp.SetXYZ(0.000000, 0.000000, 1.000000)
strmegafore.SetOrientation(strmegaforeForward, strmegaforeUp)
strmegafore.SetWidth(0.001000)
strmegafore.SetLength(0.001000)
strmegafore.SetArcWidthAngles(-0.785398, 0.785398)
strmegafore.SetArcHeightAngles(-0.104720, 1.570796)
strmegafore.SetPhaserTextureStart(0)
strmegafore.SetPhaserTextureEnd(7)
strmegafore.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
strmegafore.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
strmegafore.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
strmegafore.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
strmegafore.SetInnerCoreColor(kColor)
strmegafore.SetNumSides(6)
strmegafore.SetMainRadius(0.090000)
strmegafore.SetTaperRadius(0.010000)
strmegafore.SetCoreScale(0.500000)
strmegafore.SetTaperRatio(0.250000)
strmegafore.SetTaperMinLength(5.000000)
strmegafore.SetTaperMaxLength(30.000000)
strmegafore.SetLengthTextureTilePerUnit(0.050000)
strmegafore.SetPerimeterTile(1.000000)
strmegafore.SetTextureSpeed(5.000000)
strmegafore.SetTextureName("data/SFRD_TMPphasercann.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(strmegafore)
#################################################
prtmegafore = App.PhaserProperty_Create("prt mega fore")

prtmegafore.SetMaxCondition(800.000000)
prtmegafore.SetCritical(0)
prtmegafore.SetTargetable(1)
prtmegafore.SetPrimary(1)
prtmegafore.SetPosition(-0.550736, -0.073372, 0.325831)
prtmegafore.SetPosition2D(8.000000, 5.000000)
prtmegafore.SetRepairComplexity(7.000000)
prtmegafore.SetDisabledPercentage(0.750000)
prtmegafore.SetRadius(0.050000)
prtmegafore.SetDumbfire(0)
prtmegafore.SetWeaponID(6)
prtmegafore.SetGroups(0)
prtmegafore.SetDamageRadiusFactor(0.150000)
prtmegafore.SetIconNum(364)
prtmegafore.SetIconPositionX(41.000000)
prtmegafore.SetIconPositionY(67.000000)
prtmegafore.SetIconAboveShip(1)
prtmegafore.SetFireSound("SFRD_TMPphasercann")
prtmegafore.SetMaxCharge(5.000000)
prtmegafore.SetMaxDamage(620.000000)
prtmegafore.SetMaxDamageDistance(60.000000)
prtmegafore.SetMinFiringCharge(3.500000)
prtmegafore.SetNormalDischargeRate(3.000000)
prtmegafore.SetRechargeRate(0.080000)
prtmegafore.SetIndicatorIconNum(510)
prtmegafore.SetIndicatorIconPositionX(37.000000)
prtmegafore.SetIndicatorIconPositionY(62.000000)
prtmegaforeForward = App.TGPoint3()
prtmegaforeForward.SetXYZ(0.000000, 1.000000, 0.000000)
prtmegaforeUp = App.TGPoint3()
prtmegaforeUp.SetXYZ(0.000000, 0.000000, 1.000000)
prtmegafore.SetOrientation(prtmegaforeForward, prtmegaforeUp)
prtmegafore.SetWidth(0.001000)
prtmegafore.SetLength(0.001000)
prtmegafore.SetArcWidthAngles(-0.785398, 0.785398)
prtmegafore.SetArcHeightAngles(-0.104720, 1.570796)
prtmegafore.SetPhaserTextureStart(0)
prtmegafore.SetPhaserTextureEnd(7)
prtmegafore.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
prtmegafore.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
prtmegafore.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
prtmegafore.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
prtmegafore.SetInnerCoreColor(kColor)
prtmegafore.SetNumSides(6)
prtmegafore.SetMainRadius(0.090000)
prtmegafore.SetTaperRadius(0.010000)
prtmegafore.SetCoreScale(0.500000)
prtmegafore.SetTaperRatio(0.250000)
prtmegafore.SetTaperMinLength(5.000000)
prtmegafore.SetTaperMaxLength(30.000000)
prtmegafore.SetLengthTextureTilePerUnit(0.050000)
prtmegafore.SetPerimeterTile(1.000000)
prtmegafore.SetTextureSpeed(5.000000)
prtmegafore.SetTextureName("data/SFRD_TMPphasercann.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(prtmegafore)
#################################################
prtmegaaft = App.PhaserProperty_Create("prt mega aft")

prtmegaaft.SetMaxCondition(800.000000)
prtmegaaft.SetCritical(0)
prtmegaaft.SetTargetable(1)
prtmegaaft.SetPrimary(1)
prtmegaaft.SetPosition(-0.545766, -0.373497, 0.324642)
prtmegaaft.SetPosition2D(-2.000000, 65.000000)
prtmegaaft.SetRepairComplexity(7.000000)
prtmegaaft.SetDisabledPercentage(0.750000)
prtmegaaft.SetRadius(0.050000)
prtmegaaft.SetDumbfire(0)
prtmegaaft.SetWeaponID(6)
prtmegaaft.SetGroups(0)
prtmegaaft.SetDamageRadiusFactor(0.150000)
prtmegaaft.SetIconNum(363)
prtmegaaft.SetIconPositionX(43.000000)
prtmegaaft.SetIconPositionY(99.000000)
prtmegaaft.SetIconAboveShip(1)
prtmegaaft.SetFireSound("SFRD_TMPphasercann")
prtmegaaft.SetMaxCharge(5.000000)
prtmegaaft.SetMaxDamage(620.000000)
prtmegaaft.SetMaxDamageDistance(60.000000)
prtmegaaft.SetMinFiringCharge(3.500000)
prtmegaaft.SetNormalDischargeRate(3.000000)
prtmegaaft.SetRechargeRate(0.080000)
prtmegaaft.SetIndicatorIconNum(511)
prtmegaaft.SetIndicatorIconPositionX(38.000000)
prtmegaaft.SetIndicatorIconPositionY(94.000000)
prtmegaaftForward = App.TGPoint3()
prtmegaaftForward.SetXYZ(0.000000, -1.000000, 0.000000)
prtmegaaftUp = App.TGPoint3()
prtmegaaftUp.SetXYZ(0.000000, 0.000000, 1.000000)
prtmegaaft.SetOrientation(prtmegaaftForward, prtmegaaftUp)
prtmegaaft.SetWidth(0.001000)
prtmegaaft.SetLength(0.001000)
prtmegaaft.SetArcWidthAngles(-0.785398, 0.785398)
prtmegaaft.SetArcHeightAngles(-0.436332, 1.570796)
prtmegaaft.SetPhaserTextureStart(0)
prtmegaaft.SetPhaserTextureEnd(7)
prtmegaaft.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
prtmegaaft.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
prtmegaaft.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
prtmegaaft.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
prtmegaaft.SetInnerCoreColor(kColor)
prtmegaaft.SetNumSides(6)
prtmegaaft.SetMainRadius(0.090000)
prtmegaaft.SetTaperRadius(0.010000)
prtmegaaft.SetCoreScale(0.500000)
prtmegaaft.SetTaperRatio(0.250000)
prtmegaaft.SetTaperMinLength(5.000000)
prtmegaaft.SetTaperMaxLength(30.000000)
prtmegaaft.SetLengthTextureTilePerUnit(0.050000)
prtmegaaft.SetPerimeterTile(1.000000)
prtmegaaft.SetTextureSpeed(5.000000)
prtmegaaft.SetTextureName("data/SFRD_TMPphasercann.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(prtmegaaft)
#################################################
strmegaaft = App.PhaserProperty_Create("str mega aft")

strmegaaft.SetMaxCondition(800.000000)
strmegaaft.SetCritical(0)
strmegaaft.SetTargetable(1)
strmegaaft.SetPrimary(1)
strmegaaft.SetPosition(0.547692, -0.372798, 0.325236)
strmegaaft.SetPosition2D(8.000000, 65.000000)
strmegaaft.SetRepairComplexity(7.000000)
strmegaaft.SetDisabledPercentage(0.750000)
strmegaaft.SetRadius(0.050000)
strmegaaft.SetDumbfire(0)
strmegaaft.SetWeaponID(7)
strmegaaft.SetGroups(0)
strmegaaft.SetDamageRadiusFactor(0.150000)
strmegaaft.SetIconNum(363)
strmegaaft.SetIconPositionX(93.000000)
strmegaaft.SetIconPositionY(98.000000)
strmegaaft.SetIconAboveShip(1)
strmegaaft.SetFireSound("SFRD_TMPphasercann")
strmegaaft.SetMaxCharge(5.000000)
strmegaaft.SetMaxDamage(620.000000)
strmegaaft.SetMaxDamageDistance(60.000000)
strmegaaft.SetMinFiringCharge(3.500000)
strmegaaft.SetNormalDischargeRate(3.000000)
strmegaaft.SetRechargeRate(0.080000)
strmegaaft.SetIndicatorIconNum(511)
strmegaaft.SetIndicatorIconPositionX(88.000000)
strmegaaft.SetIndicatorIconPositionY(93.000000)
strmegaaftForward = App.TGPoint3()
strmegaaftForward.SetXYZ(0.000000, -1.000000, 0.000000)
strmegaaftUp = App.TGPoint3()
strmegaaftUp.SetXYZ(0.000000, 0.000000, 1.000000)
strmegaaft.SetOrientation(strmegaaftForward, strmegaaftUp)
strmegaaft.SetWidth(0.001000)
strmegaaft.SetLength(0.001000)
strmegaaft.SetArcWidthAngles(-0.785398, 0.785398)
strmegaaft.SetArcHeightAngles(-0.436332, 1.570796)
strmegaaft.SetPhaserTextureStart(0)
strmegaaft.SetPhaserTextureEnd(7)
strmegaaft.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
strmegaaft.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
strmegaaft.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
strmegaaft.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
strmegaaft.SetInnerCoreColor(kColor)
strmegaaft.SetNumSides(6)
strmegaaft.SetMainRadius(0.090000)
strmegaaft.SetTaperRadius(0.010000)
strmegaaft.SetCoreScale(0.500000)
strmegaaft.SetTaperRatio(0.250000)
strmegaaft.SetTaperMinLength(5.000000)
strmegaaft.SetTaperMaxLength(30.000000)
strmegaaft.SetLengthTextureTilePerUnit(0.050000)
strmegaaft.SetPerimeterTile(1.000000)
strmegaaft.SetTextureSpeed(5.000000)
strmegaaft.SetTextureName("data/SFRD_TMPphasercann.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(strmegaaft)

# Property Set
def LoadPropertySet(pObj):
	"Sets up the object's properties."
	prop = App.g_kModelPropertyManager.FindByName("Hull", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shield Generator", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Sensor Array", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Warp Core", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Impulse Engines", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phasers", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Warp Engines", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Torpedoes", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port Impulse", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Impulse", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port Warp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Warp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Engineering", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Forward Torp 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Forward Torp 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Phaser 1a", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Phaser 2a", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Phaser 2b", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Phaser 3a", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser 1a", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser 2a", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser 2b", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser 3a", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Tractors", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("SFRD_Saratoga_TMP", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Forward Tractor", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Aft Tractor", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenForward", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenBack", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenLeft", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenRight", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenUp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenDown", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("FirstPersonCamera", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bridge", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser 1b", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser 3b", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Phaser 1b", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Phaser 3b", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shuttle Bay OEP", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shuttle Bay", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Probe Launcher", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shuttle Bay 1 OEP", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shuttle Bay 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Aft torp prt", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("aft torp str", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("prt mega fore", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("str mega fore", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("prt mega aft", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("str mega aft", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
